
package com.premiereconnect.premconn._2007._02;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="SubmitId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="BlockStore" type="{http://premconn.premiereconnect.com/2007/02}BlockStoreType"/>
 *         &lt;element name="BlockLevel" type="{http://premconn.premiereconnect.com/2007/02}BlockLevelType" maxOccurs="unbounded"/>
 *         &lt;element name="NumToRetrieve" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="DateRange" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *                   &lt;element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;choice minOccurs="0">
 *           &lt;element name="AddressTypeGroup">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="AddressTypeFilter" type="{http://premconn.premiereconnect.com/2007/02}BlockAddressType" maxOccurs="unbounded" minOccurs="0"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element name="AddressFilter" type="{http://premconn.premiereconnect.com/2007/02}AddressFilterType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "submitId",
    "blockStore",
    "blockLevel",
    "numToRetrieve",
    "dateRange",
    "addressTypeGroup",
    "addressFilter"
})
@XmlRootElement(name = "AddressBlockRetrieveRequest")
public class AddressBlockRetrieveRequest {

    @XmlElement(name = "SubmitId")
    protected String submitId;
    @XmlElement(name = "BlockStore", required = true)
    protected BlockStoreType blockStore;
    @XmlElement(name = "BlockLevel", required = true)
    protected List<BlockLevelType> blockLevel;
    @XmlElement(name = "NumToRetrieve")
    protected BigInteger numToRetrieve;
    @XmlElement(name = "DateRange")
    protected AddressBlockRetrieveRequest.DateRange dateRange;
    @XmlElement(name = "AddressTypeGroup")
    protected AddressBlockRetrieveRequest.AddressTypeGroup addressTypeGroup;
    @XmlElement(name = "AddressFilter")
    protected AddressFilterType addressFilter;

    /**
     * Gets the value of the submitId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubmitId() {
        return submitId;
    }

    /**
     * Sets the value of the submitId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubmitId(String value) {
        this.submitId = value;
    }

    /**
     * Gets the value of the blockStore property.
     * 
     * @return
     *     possible object is
     *     {@link BlockStoreType }
     *     
     */
    public BlockStoreType getBlockStore() {
        return blockStore;
    }

    /**
     * Sets the value of the blockStore property.
     * 
     * @param value
     *     allowed object is
     *     {@link BlockStoreType }
     *     
     */
    public void setBlockStore(BlockStoreType value) {
        this.blockStore = value;
    }

    /**
     * Gets the value of the blockLevel property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the blockLevel property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBlockLevel().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BlockLevelType }
     * 
     * 
     */
    public List<BlockLevelType> getBlockLevel() {
        if (blockLevel == null) {
            blockLevel = new ArrayList<BlockLevelType>();
        }
        return this.blockLevel;
    }

    /**
     * Gets the value of the numToRetrieve property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getNumToRetrieve() {
        return numToRetrieve;
    }

    /**
     * Sets the value of the numToRetrieve property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setNumToRetrieve(BigInteger value) {
        this.numToRetrieve = value;
    }

    /**
     * Gets the value of the dateRange property.
     * 
     * @return
     *     possible object is
     *     {@link AddressBlockRetrieveRequest.DateRange }
     *     
     */
    public AddressBlockRetrieveRequest.DateRange getDateRange() {
        return dateRange;
    }

    /**
     * Sets the value of the dateRange property.
     * 
     * @param value
     *     allowed object is
     *     {@link AddressBlockRetrieveRequest.DateRange }
     *     
     */
    public void setDateRange(AddressBlockRetrieveRequest.DateRange value) {
        this.dateRange = value;
    }

    /**
     * Gets the value of the addressTypeGroup property.
     * 
     * @return
     *     possible object is
     *     {@link AddressBlockRetrieveRequest.AddressTypeGroup }
     *     
     */
    public AddressBlockRetrieveRequest.AddressTypeGroup getAddressTypeGroup() {
        return addressTypeGroup;
    }

    /**
     * Sets the value of the addressTypeGroup property.
     * 
     * @param value
     *     allowed object is
     *     {@link AddressBlockRetrieveRequest.AddressTypeGroup }
     *     
     */
    public void setAddressTypeGroup(AddressBlockRetrieveRequest.AddressTypeGroup value) {
        this.addressTypeGroup = value;
    }

    /**
     * Gets the value of the addressFilter property.
     * 
     * @return
     *     possible object is
     *     {@link AddressFilterType }
     *     
     */
    public AddressFilterType getAddressFilter() {
        return addressFilter;
    }

    /**
     * Sets the value of the addressFilter property.
     * 
     * @param value
     *     allowed object is
     *     {@link AddressFilterType }
     *     
     */
    public void setAddressFilter(AddressFilterType value) {
        this.addressFilter = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="AddressTypeFilter" type="{http://premconn.premiereconnect.com/2007/02}BlockAddressType" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "addressTypeFilter"
    })
    public static class AddressTypeGroup {

        @XmlElement(name = "AddressTypeFilter")
        protected List<BlockAddressType> addressTypeFilter;

        /**
         * Gets the value of the addressTypeFilter property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the addressTypeFilter property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAddressTypeFilter().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link BlockAddressType }
         * 
         * 
         */
        public List<BlockAddressType> getAddressTypeFilter() {
            if (addressTypeFilter == null) {
                addressTypeFilter = new ArrayList<BlockAddressType>();
            }
            return this.addressTypeFilter;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
     *         &lt;element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "startDate",
        "endDate"
    })
    public static class DateRange {

        @XmlElement(name = "StartDate", required = true)
        @XmlSchemaType(name = "dateTime")
        protected XMLGregorianCalendar startDate;
        @XmlElement(name = "EndDate", required = true)
        @XmlSchemaType(name = "dateTime")
        protected XMLGregorianCalendar endDate;

        /**
         * Gets the value of the startDate property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getStartDate() {
            return startDate;
        }

        /**
         * Sets the value of the startDate property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setStartDate(XMLGregorianCalendar value) {
            this.startDate = value;
        }

        /**
         * Gets the value of the endDate property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getEndDate() {
            return endDate;
        }

        /**
         * Sets the value of the endDate property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setEndDate(XMLGregorianCalendar value) {
            this.endDate = value;
        }

    }

}
