
package com.premiereconnect.premconn._2007._02;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Status" type="{http://premconn.premiereconnect.com/2007/02}StatusType"/>
 *         &lt;element name="SubmitId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="BlockStore" type="{http://premconn.premiereconnect.com/2007/02}BlockStoreType" minOccurs="0"/>
 *         &lt;element name="NumToRetrieve" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="TotalCount" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="BlockRetrieveList" type="{http://premconn.premiereconnect.com/2007/02}BlockRetrieveListType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "status",
    "submitId",
    "blockStore",
    "numToRetrieve",
    "totalCount",
    "blockRetrieveList"
})
@XmlRootElement(name = "AddressBlockRetrieveResult")
public class AddressBlockRetrieveResult {

    @XmlElement(name = "Status", required = true)
    protected StatusType status;
    @XmlElement(name = "SubmitId")
    protected String submitId;
    @XmlElement(name = "BlockStore")
    protected BlockStoreType blockStore;
    @XmlElement(name = "NumToRetrieve")
    protected BigInteger numToRetrieve;
    @XmlElement(name = "TotalCount")
    protected BigInteger totalCount;
    @XmlElement(name = "BlockRetrieveList")
    protected List<BlockRetrieveListType> blockRetrieveList;

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link StatusType }
     *     
     */
    public StatusType getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatusType }
     *     
     */
    public void setStatus(StatusType value) {
        this.status = value;
    }

    /**
     * Gets the value of the submitId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubmitId() {
        return submitId;
    }

    /**
     * Sets the value of the submitId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubmitId(String value) {
        this.submitId = value;
    }

    /**
     * Gets the value of the blockStore property.
     * 
     * @return
     *     possible object is
     *     {@link BlockStoreType }
     *     
     */
    public BlockStoreType getBlockStore() {
        return blockStore;
    }

    /**
     * Sets the value of the blockStore property.
     * 
     * @param value
     *     allowed object is
     *     {@link BlockStoreType }
     *     
     */
    public void setBlockStore(BlockStoreType value) {
        this.blockStore = value;
    }

    /**
     * Gets the value of the numToRetrieve property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getNumToRetrieve() {
        return numToRetrieve;
    }

    /**
     * Sets the value of the numToRetrieve property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setNumToRetrieve(BigInteger value) {
        this.numToRetrieve = value;
    }

    /**
     * Gets the value of the totalCount property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getTotalCount() {
        return totalCount;
    }

    /**
     * Sets the value of the totalCount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setTotalCount(BigInteger value) {
        this.totalCount = value;
    }

    /**
     * Gets the value of the blockRetrieveList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the blockRetrieveList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBlockRetrieveList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BlockRetrieveListType }
     * 
     * 
     */
    public List<BlockRetrieveListType> getBlockRetrieveList() {
        if (blockRetrieveList == null) {
            blockRetrieveList = new ArrayList<BlockRetrieveListType>();
        }
        return this.blockRetrieveList;
    }

}
