
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AddressType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="AddressType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="fax"/>
 *     &lt;enumeration value="internet"/>
 *     &lt;enumeration value="mbox"/>
 *     &lt;enumeration value="x400"/>
 *     &lt;enumeration value="telex"/>
 *     &lt;enumeration value="cablegram"/>
 *     &lt;enumeration value="mailgram"/>
 *     &lt;enumeration value="ddd"/>
 *     &lt;enumeration value="dedLine"/>
 *     &lt;enumeration value="softswitch"/>
 *     &lt;enumeration value="voice"/>
 *     &lt;enumeration value="sms"/>
 *     &lt;enumeration value="fod"/>
 *     &lt;enumeration value="list"/>
 *     &lt;enumeration value="smQuery"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "AddressType")
@XmlEnum
public enum AddressType {

    @XmlEnumValue("fax")
    FAX("fax"),
    @XmlEnumValue("internet")
    INTERNET("internet"),
    @XmlEnumValue("mbox")
    MBOX("mbox"),
    @XmlEnumValue("x400")
    X_400("x400"),
    @XmlEnumValue("telex")
    TELEX("telex"),
    @XmlEnumValue("cablegram")
    CABLEGRAM("cablegram"),
    @XmlEnumValue("mailgram")
    MAILGRAM("mailgram"),
    @XmlEnumValue("ddd")
    DDD("ddd"),
    @XmlEnumValue("dedLine")
    DED_LINE("dedLine"),
    @XmlEnumValue("softswitch")
    SOFTSWITCH("softswitch"),
    @XmlEnumValue("voice")
    VOICE("voice"),
    @XmlEnumValue("sms")
    SMS("sms"),
    @XmlEnumValue("fod")
    FOD("fod"),
    @XmlEnumValue("list")
    LIST("list"),
    @XmlEnumValue("smQuery")
    SM_QUERY("smQuery");
    private final String value;

    AddressType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static AddressType fromValue(String v) {
        for (AddressType c: AddressType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
