
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for BlockLevelType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="BlockLevelType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="user"/>
 *     &lt;enumeration value="customer"/>
 *     &lt;enumeration value="system"/>
 *     &lt;enumeration value="group"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "BlockLevelType")
@XmlEnum
public enum BlockLevelType {

    @XmlEnumValue("user")
    USER("user"),
    @XmlEnumValue("customer")
    CUSTOMER("customer"),
    @XmlEnumValue("system")
    SYSTEM("system"),
    @XmlEnumValue("group")
    GROUP("group");
    private final String value;

    BlockLevelType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static BlockLevelType fromValue(String v) {
        for (BlockLevelType c: BlockLevelType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
