
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for BlockRetrieveInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="BlockRetrieveInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="DomainBlockAddress" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *           &lt;element name="BlockAddress" type="{http://premconn.premiereconnect.com/2007/02}BlockDestinationType"/>
 *         &lt;/choice>
 *         &lt;element name="BlockedTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="Protected" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="Cref" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="JobNo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ItemRef" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="BlockProperty" type="{http://premconn.premiereconnect.com/2007/02}BlockExtensionType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "BlockRetrieveInfoType", propOrder = {
    "domainBlockAddress",
    "blockAddress",
    "blockedTime",
    "_protected",
    "cref",
    "jobNo",
    "itemRef",
    "reason",
    "blockProperty"
})
public class BlockRetrieveInfoType {

    @XmlElement(name = "DomainBlockAddress")
    protected String domainBlockAddress;
    @XmlElement(name = "BlockAddress")
    protected BlockDestinationType blockAddress;
    @XmlElement(name = "BlockedTime")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar blockedTime;
    @XmlElement(name = "Protected")
    protected Boolean _protected;
    @XmlElement(name = "Cref")
    protected String cref;
    @XmlElement(name = "JobNo")
    protected String jobNo;
    @XmlElement(name = "ItemRef")
    protected String itemRef;
    @XmlElement(name = "Reason")
    protected String reason;
    @XmlElement(name = "BlockProperty")
    protected List<BlockExtensionType> blockProperty;

    /**
     * Gets the value of the domainBlockAddress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDomainBlockAddress() {
        return domainBlockAddress;
    }

    /**
     * Sets the value of the domainBlockAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDomainBlockAddress(String value) {
        this.domainBlockAddress = value;
    }

    /**
     * Gets the value of the blockAddress property.
     * 
     * @return
     *     possible object is
     *     {@link BlockDestinationType }
     *     
     */
    public BlockDestinationType getBlockAddress() {
        return blockAddress;
    }

    /**
     * Sets the value of the blockAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link BlockDestinationType }
     *     
     */
    public void setBlockAddress(BlockDestinationType value) {
        this.blockAddress = value;
    }

    /**
     * Gets the value of the blockedTime property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getBlockedTime() {
        return blockedTime;
    }

    /**
     * Sets the value of the blockedTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setBlockedTime(XMLGregorianCalendar value) {
        this.blockedTime = value;
    }

    /**
     * Gets the value of the protected property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isProtected() {
        return _protected;
    }

    /**
     * Sets the value of the protected property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setProtected(Boolean value) {
        this._protected = value;
    }

    /**
     * Gets the value of the cref property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCref() {
        return cref;
    }

    /**
     * Sets the value of the cref property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCref(String value) {
        this.cref = value;
    }

    /**
     * Gets the value of the jobNo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getJobNo() {
        return jobNo;
    }

    /**
     * Sets the value of the jobNo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setJobNo(String value) {
        this.jobNo = value;
    }

    /**
     * Gets the value of the itemRef property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getItemRef() {
        return itemRef;
    }

    /**
     * Sets the value of the itemRef property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setItemRef(String value) {
        this.itemRef = value;
    }

    /**
     * Gets the value of the reason property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReason() {
        return reason;
    }

    /**
     * Sets the value of the reason property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReason(String value) {
        this.reason = value;
    }

    /**
     * Gets the value of the blockProperty property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the blockProperty property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBlockProperty().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BlockExtensionType }
     * 
     * 
     */
    public List<BlockExtensionType> getBlockProperty() {
        if (blockProperty == null) {
            blockProperty = new ArrayList<BlockExtensionType>();
        }
        return this.blockProperty;
    }

}
