
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DeliveryGroupType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeliveryGroupType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="DeliveryGroupId" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="Att" type="{http://premconn.premiereconnect.com/2007/02}EncodableStringType" minOccurs="0"/>
 *         &lt;element name="AttachmentInfo" type="{http://premconn.premiereconnect.com/2007/02}AttachmentInfoType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="DeliveryDetail" type="{http://premconn.premiereconnect.com/2007/02}DeliveryDetailType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="type" use="required" type="{http://premconn.premiereconnect.com/2007/02}DGroupType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeliveryGroupType", propOrder = {
    "deliveryGroupId",
    "att",
    "attachmentInfo",
    "deliveryDetail"
})
public class DeliveryGroupType {

    @XmlElement(name = "DeliveryGroupId")
    protected int deliveryGroupId;
    @XmlElement(name = "Att")
    protected EncodableStringType att;
    @XmlElement(name = "AttachmentInfo")
    protected List<AttachmentInfoType> attachmentInfo;
    @XmlElement(name = "DeliveryDetail")
    protected List<DeliveryDetailType> deliveryDetail;
    @XmlAttribute(required = true)
    protected DGroupType type;

    /**
     * Gets the value of the deliveryGroupId property.
     * 
     */
    public int getDeliveryGroupId() {
        return deliveryGroupId;
    }

    /**
     * Sets the value of the deliveryGroupId property.
     * 
     */
    public void setDeliveryGroupId(int value) {
        this.deliveryGroupId = value;
    }

    /**
     * Gets the value of the att property.
     * 
     * @return
     *     possible object is
     *     {@link EncodableStringType }
     *     
     */
    public EncodableStringType getAtt() {
        return att;
    }

    /**
     * Sets the value of the att property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncodableStringType }
     *     
     */
    public void setAtt(EncodableStringType value) {
        this.att = value;
    }

    /**
     * Gets the value of the attachmentInfo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the attachmentInfo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAttachmentInfo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AttachmentInfoType }
     * 
     * 
     */
    public List<AttachmentInfoType> getAttachmentInfo() {
        if (attachmentInfo == null) {
            attachmentInfo = new ArrayList<AttachmentInfoType>();
        }
        return this.attachmentInfo;
    }

    /**
     * Gets the value of the deliveryDetail property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the deliveryDetail property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDeliveryDetail().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DeliveryDetailType }
     * 
     * 
     */
    public List<DeliveryDetailType> getDeliveryDetail() {
        if (deliveryDetail == null) {
            deliveryDetail = new ArrayList<DeliveryDetailType>();
        }
        return this.deliveryDetail;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link DGroupType }
     *     
     */
    public DGroupType getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link DGroupType }
     *     
     */
    public void setType(DGroupType value) {
        this.type = value;
    }

}
