
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DeliveryItemListType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeliveryItemListType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice maxOccurs="unbounded">
 *         &lt;element name="List" type="{http://premconn.premiereconnect.com/2007/02}ListType"/>
 *         &lt;element name="SmQuery" type="{http://premconn.premiereconnect.com/2007/02}SmQueryType"/>
 *         &lt;element name="Table" type="{http://premconn.premiereconnect.com/2007/02}TableType"/>
 *         &lt;element name="DeliveryItemGeneric" type="{http://premconn.premiereconnect.com/2007/02}DeliveryItemGenericType"/>
 *         &lt;element name="Fax" type="{http://premconn.premiereconnect.com/2007/02}FaxType"/>
 *         &lt;element name="Internet" type="{http://premconn.premiereconnect.com/2007/02}InternetType"/>
 *         &lt;element name="Voice" type="{http://premconn.premiereconnect.com/2007/02}VoiceType"/>
 *         &lt;element name="Fod" type="{http://premconn.premiereconnect.com/2007/02}FodType"/>
 *         &lt;element name="Mbox" type="{http://premconn.premiereconnect.com/2007/02}MboxType"/>
 *         &lt;element name="Sms" type="{http://premconn.premiereconnect.com/2007/02}SmsType"/>
 *         &lt;element name="Telex" type="{http://premconn.premiereconnect.com/2007/02}TelexType"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeliveryItemListType", propOrder = {
    "listOrSmQueryOrTable"
})
public class DeliveryItemListType {

    @XmlElements({
        @XmlElement(name = "Mbox", type = MboxType.class),
        @XmlElement(name = "DeliveryItemGeneric", type = DeliveryItemGenericType.class),
        @XmlElement(name = "Sms", type = SmsType.class),
        @XmlElement(name = "Fod", type = FodType.class),
        @XmlElement(name = "List", type = ListType.class),
        @XmlElement(name = "Internet", type = InternetType.class),
        @XmlElement(name = "Table", type = TableType.class),
        @XmlElement(name = "Telex", type = TelexType.class),
        @XmlElement(name = "SmQuery", type = SmQueryType.class),
        @XmlElement(name = "Voice", type = VoiceType.class),
        @XmlElement(name = "Fax", type = FaxType.class)
    })
    protected List<DeliveryItemType> listOrSmQueryOrTable;

    /**
     * Gets the value of the listOrSmQueryOrTable property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the listOrSmQueryOrTable property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getListOrSmQueryOrTable().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MboxType }
     * {@link DeliveryItemGenericType }
     * {@link SmsType }
     * {@link FodType }
     * {@link ListType }
     * {@link InternetType }
     * {@link TableType }
     * {@link TelexType }
     * {@link SmQueryType }
     * {@link VoiceType }
     * {@link FaxType }
     * 
     * 
     */
    public List<DeliveryItemType> getListOrSmQueryOrTable() {
        if (listOrSmQueryOrTable == null) {
            listOrSmQueryOrTable = new ArrayList<DeliveryItemType>();
        }
        return this.listOrSmQueryOrTable;
    }

}
