
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DocEncodingFormat.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="DocEncodingFormat">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="text"/>
 *     &lt;enumeration value="base64"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "DocEncodingFormat")
@XmlEnum
public enum DocEncodingFormat {

    @XmlEnumValue("text")
    TEXT("text"),
    @XmlEnumValue("base64")
    BASE_64("base64");
    private final String value;

    DocEncodingFormat(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static DocEncodingFormat fromValue(String v) {
        for (DocEncodingFormat c: DocEncodingFormat.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
