
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DocumentType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DocumentType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="DocType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Filename" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;element name="DocData" type="{http://premconn.premiereconnect.com/2007/02}DocDataType"/>
 *           &lt;element name="DocCfs" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *           &lt;element name="DocUrl" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *           &lt;element name="SosObject" type="{http://premconn.premiereconnect.com/2007/02}SosObjectIdType"/>
 *         &lt;/choice>
 *         &lt;element ref="{http://premconn.premiereconnect.com/2007/02}CharacterSet" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="ref" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DocumentType", propOrder = {
    "docType",
    "filename",
    "docData",
    "docCfs",
    "docUrl",
    "sosObject",
    "characterSet"
})
public class DocumentType {

    @XmlElement(name = "DocType", required = true)
    protected String docType;
    @XmlElement(name = "Filename")
    protected String filename;
    @XmlElement(name = "DocData")
    protected DocDataType docData;
    @XmlElement(name = "DocCfs")
    protected String docCfs;
    @XmlElement(name = "DocUrl")
    @XmlSchemaType(name = "anyURI")
    protected String docUrl;
    @XmlElement(name = "SosObject")
    protected SosObjectIdType sosObject;
    @XmlElement(name = "CharacterSet")
    protected String characterSet;
    @XmlAttribute
    protected String ref;

    /**
     * Gets the value of the docType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDocType() {
        return docType;
    }

    /**
     * Sets the value of the docType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDocType(String value) {
        this.docType = value;
    }

    /**
     * Gets the value of the filename property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFilename() {
        return filename;
    }

    /**
     * Sets the value of the filename property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFilename(String value) {
        this.filename = value;
    }

    /**
     * Gets the value of the docData property.
     * 
     * @return
     *     possible object is
     *     {@link DocDataType }
     *     
     */
    public DocDataType getDocData() {
        return docData;
    }

    /**
     * Sets the value of the docData property.
     * 
     * @param value
     *     allowed object is
     *     {@link DocDataType }
     *     
     */
    public void setDocData(DocDataType value) {
        this.docData = value;
    }

    /**
     * Gets the value of the docCfs property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDocCfs() {
        return docCfs;
    }

    /**
     * Sets the value of the docCfs property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDocCfs(String value) {
        this.docCfs = value;
    }

    /**
     * Gets the value of the docUrl property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDocUrl() {
        return docUrl;
    }

    /**
     * Sets the value of the docUrl property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDocUrl(String value) {
        this.docUrl = value;
    }

    /**
     * Gets the value of the sosObject property.
     * 
     * @return
     *     possible object is
     *     {@link SosObjectIdType }
     *     
     */
    public SosObjectIdType getSosObject() {
        return sosObject;
    }

    /**
     * Sets the value of the sosObject property.
     * 
     * @param value
     *     allowed object is
     *     {@link SosObjectIdType }
     *     
     */
    public void setSosObject(SosObjectIdType value) {
        this.sosObject = value;
    }

    /**
     * Gets the value of the characterSet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCharacterSet() {
        return characterSet;
    }

    /**
     * Sets the value of the characterSet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCharacterSet(String value) {
        this.characterSet = value;
    }

    /**
     * Gets the value of the ref property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRef() {
        return ref;
    }

    /**
     * Sets the value of the ref property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRef(String value) {
        this.ref = value;
    }

}
