
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for JobCancelType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="JobCancelType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="All"/>
 *     &lt;enumeration value="Deliveries"/>
 *     &lt;enumeration value="Reports"/>
 *     &lt;enumeration value="AcceptanceReport"/>
 *     &lt;enumeration value="CancellationNotice"/>
 *     &lt;enumeration value="Pulls"/>
 *     &lt;enumeration value="FriendDeliveries"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "JobCancelType")
@XmlEnum
public enum JobCancelType {

    @XmlEnumValue("All")
    ALL("All"),
    @XmlEnumValue("Deliveries")
    DELIVERIES("Deliveries"),
    @XmlEnumValue("Reports")
    REPORTS("Reports"),
    @XmlEnumValue("AcceptanceReport")
    ACCEPTANCE_REPORT("AcceptanceReport"),
    @XmlEnumValue("CancellationNotice")
    CANCELLATION_NOTICE("CancellationNotice"),
    @XmlEnumValue("Pulls")
    PULLS("Pulls"),
    @XmlEnumValue("FriendDeliveries")
    FRIEND_DELIVERIES("FriendDeliveries");
    private final String value;

    JobCancelType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static JobCancelType fromValue(String v) {
        for (JobCancelType c: JobCancelType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
