
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="SubmitId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="JobListOptions" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="UseBase64" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *                   &lt;element name="UseBinary" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *                   &lt;element name="IncludeExtendedJobData" type="{http://premconn.premiereconnect.com/2007/02}ExtDataFilterType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;choice>
 *           &lt;element name="JobId" type="{http://premconn.premiereconnect.com/2007/02}JobIdType" maxOccurs="unbounded"/>
 *           &lt;element name="JobListRequestFilters" type="{http://premconn.premiereconnect.com/2007/02}JobListRequestFilterType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "submitId",
    "jobListOptions",
    "jobId",
    "jobListRequestFilters"
})
@XmlRootElement(name = "JobListRequest")
public class JobListRequest {

    @XmlElement(name = "SubmitId")
    protected String submitId;
    @XmlElement(name = "JobListOptions")
    protected JobListRequest.JobListOptions jobListOptions;
    @XmlElement(name = "JobId")
    protected List<JobIdType> jobId;
    @XmlElement(name = "JobListRequestFilters")
    protected JobListRequestFilterType jobListRequestFilters;

    /**
     * Gets the value of the submitId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubmitId() {
        return submitId;
    }

    /**
     * Sets the value of the submitId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubmitId(String value) {
        this.submitId = value;
    }

    /**
     * Gets the value of the jobListOptions property.
     * 
     * @return
     *     possible object is
     *     {@link JobListRequest.JobListOptions }
     *     
     */
    public JobListRequest.JobListOptions getJobListOptions() {
        return jobListOptions;
    }

    /**
     * Sets the value of the jobListOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobListRequest.JobListOptions }
     *     
     */
    public void setJobListOptions(JobListRequest.JobListOptions value) {
        this.jobListOptions = value;
    }

    /**
     * Gets the value of the jobId property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the jobId property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getJobId().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JobIdType }
     * 
     * 
     */
    public List<JobIdType> getJobId() {
        if (jobId == null) {
            jobId = new ArrayList<JobIdType>();
        }
        return this.jobId;
    }

    /**
     * Gets the value of the jobListRequestFilters property.
     * 
     * @return
     *     possible object is
     *     {@link JobListRequestFilterType }
     *     
     */
    public JobListRequestFilterType getJobListRequestFilters() {
        return jobListRequestFilters;
    }

    /**
     * Sets the value of the jobListRequestFilters property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobListRequestFilterType }
     *     
     */
    public void setJobListRequestFilters(JobListRequestFilterType value) {
        this.jobListRequestFilters = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="UseBase64" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
     *         &lt;element name="UseBinary" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
     *         &lt;element name="IncludeExtendedJobData" type="{http://premconn.premiereconnect.com/2007/02}ExtDataFilterType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "useBase64",
        "useBinary",
        "includeExtendedJobData"
    })
    public static class JobListOptions {

        @XmlElement(name = "UseBase64")
        protected Boolean useBase64;
        @XmlElement(name = "UseBinary")
        protected Boolean useBinary;
        @XmlElement(name = "IncludeExtendedJobData")
        protected ExtDataFilterType includeExtendedJobData;

        /**
         * Gets the value of the useBase64 property.
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public Boolean isUseBase64() {
            return useBase64;
        }

        /**
         * Sets the value of the useBase64 property.
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setUseBase64(Boolean value) {
            this.useBase64 = value;
        }

        /**
         * Gets the value of the useBinary property.
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public Boolean isUseBinary() {
            return useBinary;
        }

        /**
         * Sets the value of the useBinary property.
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setUseBinary(Boolean value) {
            this.useBinary = value;
        }

        /**
         * Gets the value of the includeExtendedJobData property.
         * 
         * @return
         *     possible object is
         *     {@link ExtDataFilterType }
         *     
         */
        public ExtDataFilterType getIncludeExtendedJobData() {
            return includeExtendedJobData;
        }

        /**
         * Sets the value of the includeExtendedJobData property.
         * 
         * @param value
         *     allowed object is
         *     {@link ExtDataFilterType }
         *     
         */
        public void setIncludeExtendedJobData(ExtDataFilterType value) {
            this.includeExtendedJobData = value;
        }

    }

}
