
package com.premiereconnect.premconn._2007._02;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;


/**
 * <p>Java class for JobSummaryCountsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="JobSummaryCountsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Total" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="Pending" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="Sent" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="Error" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="Cancelled" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="TotalDSN" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="NegativeDSN" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="UnconfirmedDSN" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="Blocked" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="Read" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="Pulls" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="TotalTransfers" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="FailedTransfers" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="TransferPickupTime" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="TotalTransferTime" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="LiveDeliveries" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="AnsweringMachineDeliveries" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="PartialLiveDeliveries" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="PartialAnsweringMachineDeliveries" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="NoAnswer" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="Busy" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="Held" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="TotalCompletedDeliveryTime" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="SummaryCount" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;simpleContent>
 *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>integer">
 *                 &lt;attribute name="countName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *               &lt;/extension>
 *             &lt;/simpleContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "JobSummaryCountsType", propOrder = {
    "total",
    "pending",
    "sent",
    "error",
    "cancelled",
    "totalDSN",
    "negativeDSN",
    "unconfirmedDSN",
    "blocked",
    "read",
    "pulls",
    "totalTransfers",
    "failedTransfers",
    "transferPickupTime",
    "totalTransferTime",
    "liveDeliveries",
    "answeringMachineDeliveries",
    "partialLiveDeliveries",
    "partialAnsweringMachineDeliveries",
    "noAnswer",
    "busy",
    "held",
    "totalCompletedDeliveryTime",
    "summaryCount"
})
public class JobSummaryCountsType {

    @XmlElement(name = "Total")
    protected BigInteger total;
    @XmlElement(name = "Pending")
    protected BigInteger pending;
    @XmlElement(name = "Sent")
    protected BigInteger sent;
    @XmlElement(name = "Error")
    protected BigInteger error;
    @XmlElement(name = "Cancelled")
    protected BigInteger cancelled;
    @XmlElement(name = "TotalDSN")
    protected BigInteger totalDSN;
    @XmlElement(name = "NegativeDSN")
    protected BigInteger negativeDSN;
    @XmlElement(name = "UnconfirmedDSN")
    protected BigInteger unconfirmedDSN;
    @XmlElement(name = "Blocked")
    protected BigInteger blocked;
    @XmlElement(name = "Read")
    protected BigInteger read;
    @XmlElement(name = "Pulls")
    protected BigInteger pulls;
    @XmlElement(name = "TotalTransfers")
    protected BigInteger totalTransfers;
    @XmlElement(name = "FailedTransfers")
    protected BigInteger failedTransfers;
    @XmlElement(name = "TransferPickupTime")
    protected BigInteger transferPickupTime;
    @XmlElement(name = "TotalTransferTime")
    protected BigInteger totalTransferTime;
    @XmlElement(name = "LiveDeliveries")
    protected BigInteger liveDeliveries;
    @XmlElement(name = "AnsweringMachineDeliveries")
    protected BigInteger answeringMachineDeliveries;
    @XmlElement(name = "PartialLiveDeliveries")
    protected BigInteger partialLiveDeliveries;
    @XmlElement(name = "PartialAnsweringMachineDeliveries")
    protected BigInteger partialAnsweringMachineDeliveries;
    @XmlElement(name = "NoAnswer")
    protected BigInteger noAnswer;
    @XmlElement(name = "Busy")
    protected BigInteger busy;
    @XmlElement(name = "Held")
    protected BigInteger held;
    @XmlElement(name = "TotalCompletedDeliveryTime")
    protected BigInteger totalCompletedDeliveryTime;
    @XmlElement(name = "SummaryCount")
    protected List<JobSummaryCountsType.SummaryCount> summaryCount;

    /**
     * Gets the value of the total property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getTotal() {
        return total;
    }

    /**
     * Sets the value of the total property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setTotal(BigInteger value) {
        this.total = value;
    }

    /**
     * Gets the value of the pending property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getPending() {
        return pending;
    }

    /**
     * Sets the value of the pending property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setPending(BigInteger value) {
        this.pending = value;
    }

    /**
     * Gets the value of the sent property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getSent() {
        return sent;
    }

    /**
     * Sets the value of the sent property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setSent(BigInteger value) {
        this.sent = value;
    }

    /**
     * Gets the value of the error property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getError() {
        return error;
    }

    /**
     * Sets the value of the error property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setError(BigInteger value) {
        this.error = value;
    }

    /**
     * Gets the value of the cancelled property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getCancelled() {
        return cancelled;
    }

    /**
     * Sets the value of the cancelled property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setCancelled(BigInteger value) {
        this.cancelled = value;
    }

    /**
     * Gets the value of the totalDSN property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getTotalDSN() {
        return totalDSN;
    }

    /**
     * Sets the value of the totalDSN property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setTotalDSN(BigInteger value) {
        this.totalDSN = value;
    }

    /**
     * Gets the value of the negativeDSN property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getNegativeDSN() {
        return negativeDSN;
    }

    /**
     * Sets the value of the negativeDSN property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setNegativeDSN(BigInteger value) {
        this.negativeDSN = value;
    }

    /**
     * Gets the value of the unconfirmedDSN property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getUnconfirmedDSN() {
        return unconfirmedDSN;
    }

    /**
     * Sets the value of the unconfirmedDSN property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setUnconfirmedDSN(BigInteger value) {
        this.unconfirmedDSN = value;
    }

    /**
     * Gets the value of the blocked property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getBlocked() {
        return blocked;
    }

    /**
     * Sets the value of the blocked property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setBlocked(BigInteger value) {
        this.blocked = value;
    }

    /**
     * Gets the value of the read property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getRead() {
        return read;
    }

    /**
     * Sets the value of the read property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setRead(BigInteger value) {
        this.read = value;
    }

    /**
     * Gets the value of the pulls property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getPulls() {
        return pulls;
    }

    /**
     * Sets the value of the pulls property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setPulls(BigInteger value) {
        this.pulls = value;
    }

    /**
     * Gets the value of the totalTransfers property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getTotalTransfers() {
        return totalTransfers;
    }

    /**
     * Sets the value of the totalTransfers property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setTotalTransfers(BigInteger value) {
        this.totalTransfers = value;
    }

    /**
     * Gets the value of the failedTransfers property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getFailedTransfers() {
        return failedTransfers;
    }

    /**
     * Sets the value of the failedTransfers property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setFailedTransfers(BigInteger value) {
        this.failedTransfers = value;
    }

    /**
     * Gets the value of the transferPickupTime property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getTransferPickupTime() {
        return transferPickupTime;
    }

    /**
     * Sets the value of the transferPickupTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setTransferPickupTime(BigInteger value) {
        this.transferPickupTime = value;
    }

    /**
     * Gets the value of the totalTransferTime property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getTotalTransferTime() {
        return totalTransferTime;
    }

    /**
     * Sets the value of the totalTransferTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setTotalTransferTime(BigInteger value) {
        this.totalTransferTime = value;
    }

    /**
     * Gets the value of the liveDeliveries property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getLiveDeliveries() {
        return liveDeliveries;
    }

    /**
     * Sets the value of the liveDeliveries property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setLiveDeliveries(BigInteger value) {
        this.liveDeliveries = value;
    }

    /**
     * Gets the value of the answeringMachineDeliveries property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getAnsweringMachineDeliveries() {
        return answeringMachineDeliveries;
    }

    /**
     * Sets the value of the answeringMachineDeliveries property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setAnsweringMachineDeliveries(BigInteger value) {
        this.answeringMachineDeliveries = value;
    }

    /**
     * Gets the value of the partialLiveDeliveries property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getPartialLiveDeliveries() {
        return partialLiveDeliveries;
    }

    /**
     * Sets the value of the partialLiveDeliveries property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setPartialLiveDeliveries(BigInteger value) {
        this.partialLiveDeliveries = value;
    }

    /**
     * Gets the value of the partialAnsweringMachineDeliveries property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getPartialAnsweringMachineDeliveries() {
        return partialAnsweringMachineDeliveries;
    }

    /**
     * Sets the value of the partialAnsweringMachineDeliveries property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setPartialAnsweringMachineDeliveries(BigInteger value) {
        this.partialAnsweringMachineDeliveries = value;
    }

    /**
     * Gets the value of the noAnswer property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getNoAnswer() {
        return noAnswer;
    }

    /**
     * Sets the value of the noAnswer property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setNoAnswer(BigInteger value) {
        this.noAnswer = value;
    }

    /**
     * Gets the value of the busy property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getBusy() {
        return busy;
    }

    /**
     * Sets the value of the busy property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setBusy(BigInteger value) {
        this.busy = value;
    }

    /**
     * Gets the value of the held property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getHeld() {
        return held;
    }

    /**
     * Sets the value of the held property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setHeld(BigInteger value) {
        this.held = value;
    }

    /**
     * Gets the value of the totalCompletedDeliveryTime property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getTotalCompletedDeliveryTime() {
        return totalCompletedDeliveryTime;
    }

    /**
     * Sets the value of the totalCompletedDeliveryTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setTotalCompletedDeliveryTime(BigInteger value) {
        this.totalCompletedDeliveryTime = value;
    }

    /**
     * Gets the value of the summaryCount property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the summaryCount property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSummaryCount().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JobSummaryCountsType.SummaryCount }
     * 
     * 
     */
    public List<JobSummaryCountsType.SummaryCount> getSummaryCount() {
        if (summaryCount == null) {
            summaryCount = new ArrayList<JobSummaryCountsType.SummaryCount>();
        }
        return this.summaryCount;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;simpleContent>
     *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>integer">
     *       &lt;attribute name="countName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     *     &lt;/extension>
     *   &lt;/simpleContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value"
    })
    public static class SummaryCount {

        @XmlValue
        protected BigInteger value;
        @XmlAttribute(required = true)
        protected String countName;

        /**
         * Gets the value of the value property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setValue(BigInteger value) {
            this.value = value;
        }

        /**
         * Gets the value of the countName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCountName() {
            return countName;
        }

        /**
         * Sets the value of the countName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCountName(String value) {
            this.countName = value;
        }

    }

}
