
package com.premiereconnect.premconn._2007._02;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * Type for result of job summary operation
 * 
 * <p>Java class for JobSummaryDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="JobSummaryDataType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="JobId" type="{http://premconn.premiereconnect.com/2007/02}JobIdType"/>
 *         &lt;element name="Status" type="{http://premconn.premiereconnect.com/2007/02}StatusType"/>
 *         &lt;element name="UserId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="EntryTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="StartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="CompletionTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="BillingCode" type="{http://premconn.premiereconnect.com/2007/02}EncodableStringType" minOccurs="0"/>
 *         &lt;element name="CustomerReference" type="{http://premconn.premiereconnect.com/2007/02}EncodableStringType" minOccurs="0"/>
 *         &lt;element name="DeliveryPriority" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ListsUsed" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="ListId" type="{http://premconn.premiereconnect.com/2007/02}ListIdType" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="DestinationCount" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="PostedTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="ExpirationTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="ServiceType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Fax2MailService" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="JobGroupStatus" type="{http://premconn.premiereconnect.com/2007/02}JobGroupStatusTypeType" minOccurs="0"/>
 *         &lt;element name="Preview" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="PreviewResult" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ComplianceResult" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="JobFlags" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="JobFlags2" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="JobWasPaused" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="FaxCoverSheet" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="Att" type="{http://premconn.premiereconnect.com/2007/02}EncodableStringType" minOccurs="0"/>
 *         &lt;element name="FaxTo" type="{http://premconn.premiereconnect.com/2007/02}EncodableStringType" minOccurs="0"/>
 *         &lt;element name="Subject" type="{http://premconn.premiereconnect.com/2007/02}EncodableStringType" minOccurs="0"/>
 *         &lt;element name="EmailFrom" type="{http://premconn.premiereconnect.com/2007/02}EncodableStringType" minOccurs="0"/>
 *         &lt;element name="Filename" type="{http://premconn.premiereconnect.com/2007/02}EncodableStringType" minOccurs="0"/>
 *         &lt;element name="FaxMode" type="{http://premconn.premiereconnect.com/2007/02}FaxModeType" minOccurs="0"/>
 *         &lt;element name="Class" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="GroupName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CharacterSet" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="TransferNum" type="{http://premconn.premiereconnect.com/2007/02}TransferNumType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Paced" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="DeliveryPaces" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FaxInFaxID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FaxInDNIS" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FaxInConnectTime" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="FaxInPageCount" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="AreaCodeRecipOmitted" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="RetryAlgorithm" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="RecipientLocaleStartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="ExtendedJobData" type="{http://premconn.premiereconnect.com/2007/02}ExtDataType" minOccurs="0"/>
 *         &lt;element name="JobState" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="ExpectedSetupStart" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *                   &lt;element name="ItemsProcessed" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *                   &lt;element name="ExpectedDeliveryStart" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;simpleContent>
 *                         &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>dateTime">
 *                           &lt;attribute name="offpeak" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
 *                         &lt;/extension>
 *                       &lt;/simpleContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="ErrorInfo" type="{http://premconn.premiereconnect.com/2007/02}ErrorInfoType" minOccurs="0"/>
 *                   &lt;element name="ReportType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="ReportStarted" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *                   &lt;element name="JobSummaryCounts" type="{http://premconn.premiereconnect.com/2007/02}JobSummaryCountsType" minOccurs="0"/>
 *                   &lt;element name="AuxiliaryStatus" maxOccurs="unbounded" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="AuxCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                             &lt;element name="AuxDetail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                           &lt;/sequence>
 *                           &lt;attribute name="scope" type="{http://premconn.premiereconnect.com/2007/02}StatusScopeType" />
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *                 &lt;attribute name="state" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="AttachmentInfo" type="{http://premconn.premiereconnect.com/2007/02}AttachmentInfoType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="jobGroup" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "JobSummaryDataType", propOrder = {
    "jobId",
    "status",
    "userId",
    "entryTime",
    "startTime",
    "completionTime",
    "billingCode",
    "customerReference",
    "deliveryPriority",
    "listsUsed",
    "destinationCount",
    "postedTime",
    "expirationTime",
    "serviceType",
    "fax2MailService",
    "jobGroupStatus",
    "preview",
    "previewResult",
    "complianceResult",
    "jobFlags",
    "jobFlags2",
    "jobWasPaused",
    "faxCoverSheet",
    "att",
    "faxTo",
    "subject",
    "emailFrom",
    "filename",
    "faxMode",
    "clazz",
    "groupName",
    "characterSet",
    "transferNum",
    "paced",
    "deliveryPaces",
    "faxInFaxID",
    "faxInDNIS",
    "faxInConnectTime",
    "faxInPageCount",
    "areaCodeRecipOmitted",
    "retryAlgorithm",
    "recipientLocaleStartTime",
    "extendedJobData",
    "jobState",
    "attachmentInfo"
})
public class JobSummaryDataType {

    @XmlElement(name = "JobId", required = true)
    protected JobIdType jobId;
    @XmlElement(name = "Status", required = true)
    protected StatusType status;
    @XmlElement(name = "UserId")
    protected String userId;
    @XmlElement(name = "EntryTime")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar entryTime;
    @XmlElement(name = "StartTime")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar startTime;
    @XmlElement(name = "CompletionTime")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar completionTime;
    @XmlElement(name = "BillingCode")
    protected EncodableStringType billingCode;
    @XmlElement(name = "CustomerReference")
    protected EncodableStringType customerReference;
    @XmlElement(name = "DeliveryPriority")
    protected String deliveryPriority;
    @XmlElement(name = "ListsUsed")
    protected JobSummaryDataType.ListsUsed listsUsed;
    @XmlElement(name = "DestinationCount")
    protected BigInteger destinationCount;
    @XmlElement(name = "PostedTime")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar postedTime;
    @XmlElement(name = "ExpirationTime")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar expirationTime;
    @XmlElement(name = "ServiceType")
    protected String serviceType;
    @XmlElement(name = "Fax2MailService")
    protected String fax2MailService;
    @XmlElement(name = "JobGroupStatus")
    protected JobGroupStatusTypeType jobGroupStatus;
    @XmlElement(name = "Preview")
    protected Boolean preview;
    @XmlElement(name = "PreviewResult")
    protected String previewResult;
    @XmlElement(name = "ComplianceResult")
    protected String complianceResult;
    @XmlElement(name = "JobFlags")
    protected BigInteger jobFlags;
    @XmlElement(name = "JobFlags2")
    protected BigInteger jobFlags2;
    @XmlElement(name = "JobWasPaused")
    protected Boolean jobWasPaused;
    @XmlElement(name = "FaxCoverSheet")
    protected Boolean faxCoverSheet;
    @XmlElement(name = "Att")
    protected EncodableStringType att;
    @XmlElement(name = "FaxTo")
    protected EncodableStringType faxTo;
    @XmlElement(name = "Subject")
    protected EncodableStringType subject;
    @XmlElement(name = "EmailFrom")
    protected EncodableStringType emailFrom;
    @XmlElement(name = "Filename")
    protected EncodableStringType filename;
    @XmlElement(name = "FaxMode")
    protected FaxModeType faxMode;
    @XmlElement(name = "Class")
    protected String clazz;
    @XmlElement(name = "GroupName")
    protected String groupName;
    @XmlElement(name = "CharacterSet")
    protected String characterSet;
    @XmlElement(name = "TransferNum")
    protected List<TransferNumType> transferNum;
    @XmlElement(name = "Paced")
    protected Boolean paced;
    @XmlElement(name = "DeliveryPaces")
    protected String deliveryPaces;
    @XmlElement(name = "FaxInFaxID")
    protected String faxInFaxID;
    @XmlElement(name = "FaxInDNIS")
    protected String faxInDNIS;
    @XmlElement(name = "FaxInConnectTime")
    protected Integer faxInConnectTime;
    @XmlElement(name = "FaxInPageCount")
    protected Integer faxInPageCount;
    @XmlElement(name = "AreaCodeRecipOmitted")
    protected String areaCodeRecipOmitted;
    @XmlElement(name = "RetryAlgorithm")
    protected String retryAlgorithm;
    @XmlElement(name = "RecipientLocaleStartTime")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar recipientLocaleStartTime;
    @XmlElement(name = "ExtendedJobData")
    protected ExtDataType extendedJobData;
    @XmlElement(name = "JobState")
    protected List<JobSummaryDataType.JobState> jobState;
    @XmlElement(name = "AttachmentInfo")
    protected List<AttachmentInfoType> attachmentInfo;
    @XmlAttribute
    protected Boolean jobGroup;

    /**
     * Gets the value of the jobId property.
     * 
     * @return
     *     possible object is
     *     {@link JobIdType }
     *     
     */
    public JobIdType getJobId() {
        return jobId;
    }

    /**
     * Sets the value of the jobId property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobIdType }
     *     
     */
    public void setJobId(JobIdType value) {
        this.jobId = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link StatusType }
     *     
     */
    public StatusType getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatusType }
     *     
     */
    public void setStatus(StatusType value) {
        this.status = value;
    }

    /**
     * Gets the value of the userId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUserId() {
        return userId;
    }

    /**
     * Sets the value of the userId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUserId(String value) {
        this.userId = value;
    }

    /**
     * Gets the value of the entryTime property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getEntryTime() {
        return entryTime;
    }

    /**
     * Sets the value of the entryTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setEntryTime(XMLGregorianCalendar value) {
        this.entryTime = value;
    }

    /**
     * Gets the value of the startTime property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getStartTime() {
        return startTime;
    }

    /**
     * Sets the value of the startTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setStartTime(XMLGregorianCalendar value) {
        this.startTime = value;
    }

    /**
     * Gets the value of the completionTime property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getCompletionTime() {
        return completionTime;
    }

    /**
     * Sets the value of the completionTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setCompletionTime(XMLGregorianCalendar value) {
        this.completionTime = value;
    }

    /**
     * Gets the value of the billingCode property.
     * 
     * @return
     *     possible object is
     *     {@link EncodableStringType }
     *     
     */
    public EncodableStringType getBillingCode() {
        return billingCode;
    }

    /**
     * Sets the value of the billingCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncodableStringType }
     *     
     */
    public void setBillingCode(EncodableStringType value) {
        this.billingCode = value;
    }

    /**
     * Gets the value of the customerReference property.
     * 
     * @return
     *     possible object is
     *     {@link EncodableStringType }
     *     
     */
    public EncodableStringType getCustomerReference() {
        return customerReference;
    }

    /**
     * Sets the value of the customerReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncodableStringType }
     *     
     */
    public void setCustomerReference(EncodableStringType value) {
        this.customerReference = value;
    }

    /**
     * Gets the value of the deliveryPriority property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeliveryPriority() {
        return deliveryPriority;
    }

    /**
     * Sets the value of the deliveryPriority property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeliveryPriority(String value) {
        this.deliveryPriority = value;
    }

    /**
     * Gets the value of the listsUsed property.
     * 
     * @return
     *     possible object is
     *     {@link JobSummaryDataType.ListsUsed }
     *     
     */
    public JobSummaryDataType.ListsUsed getListsUsed() {
        return listsUsed;
    }

    /**
     * Sets the value of the listsUsed property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobSummaryDataType.ListsUsed }
     *     
     */
    public void setListsUsed(JobSummaryDataType.ListsUsed value) {
        this.listsUsed = value;
    }

    /**
     * Gets the value of the destinationCount property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getDestinationCount() {
        return destinationCount;
    }

    /**
     * Sets the value of the destinationCount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setDestinationCount(BigInteger value) {
        this.destinationCount = value;
    }

    /**
     * Gets the value of the postedTime property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getPostedTime() {
        return postedTime;
    }

    /**
     * Sets the value of the postedTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setPostedTime(XMLGregorianCalendar value) {
        this.postedTime = value;
    }

    /**
     * Gets the value of the expirationTime property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getExpirationTime() {
        return expirationTime;
    }

    /**
     * Sets the value of the expirationTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setExpirationTime(XMLGregorianCalendar value) {
        this.expirationTime = value;
    }

    /**
     * Gets the value of the serviceType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getServiceType() {
        return serviceType;
    }

    /**
     * Sets the value of the serviceType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setServiceType(String value) {
        this.serviceType = value;
    }

    /**
     * Gets the value of the fax2MailService property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFax2MailService() {
        return fax2MailService;
    }

    /**
     * Sets the value of the fax2MailService property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFax2MailService(String value) {
        this.fax2MailService = value;
    }

    /**
     * Gets the value of the jobGroupStatus property.
     * 
     * @return
     *     possible object is
     *     {@link JobGroupStatusTypeType }
     *     
     */
    public JobGroupStatusTypeType getJobGroupStatus() {
        return jobGroupStatus;
    }

    /**
     * Sets the value of the jobGroupStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobGroupStatusTypeType }
     *     
     */
    public void setJobGroupStatus(JobGroupStatusTypeType value) {
        this.jobGroupStatus = value;
    }

    /**
     * Gets the value of the preview property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPreview() {
        return preview;
    }

    /**
     * Sets the value of the preview property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPreview(Boolean value) {
        this.preview = value;
    }

    /**
     * Gets the value of the previewResult property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPreviewResult() {
        return previewResult;
    }

    /**
     * Sets the value of the previewResult property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPreviewResult(String value) {
        this.previewResult = value;
    }

    /**
     * Gets the value of the complianceResult property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getComplianceResult() {
        return complianceResult;
    }

    /**
     * Sets the value of the complianceResult property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setComplianceResult(String value) {
        this.complianceResult = value;
    }

    /**
     * Gets the value of the jobFlags property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getJobFlags() {
        return jobFlags;
    }

    /**
     * Sets the value of the jobFlags property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setJobFlags(BigInteger value) {
        this.jobFlags = value;
    }

    /**
     * Gets the value of the jobFlags2 property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getJobFlags2() {
        return jobFlags2;
    }

    /**
     * Sets the value of the jobFlags2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setJobFlags2(BigInteger value) {
        this.jobFlags2 = value;
    }

    /**
     * Gets the value of the jobWasPaused property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isJobWasPaused() {
        return jobWasPaused;
    }

    /**
     * Sets the value of the jobWasPaused property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setJobWasPaused(Boolean value) {
        this.jobWasPaused = value;
    }

    /**
     * Gets the value of the faxCoverSheet property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isFaxCoverSheet() {
        return faxCoverSheet;
    }

    /**
     * Sets the value of the faxCoverSheet property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setFaxCoverSheet(Boolean value) {
        this.faxCoverSheet = value;
    }

    /**
     * Gets the value of the att property.
     * 
     * @return
     *     possible object is
     *     {@link EncodableStringType }
     *     
     */
    public EncodableStringType getAtt() {
        return att;
    }

    /**
     * Sets the value of the att property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncodableStringType }
     *     
     */
    public void setAtt(EncodableStringType value) {
        this.att = value;
    }

    /**
     * Gets the value of the faxTo property.
     * 
     * @return
     *     possible object is
     *     {@link EncodableStringType }
     *     
     */
    public EncodableStringType getFaxTo() {
        return faxTo;
    }

    /**
     * Sets the value of the faxTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncodableStringType }
     *     
     */
    public void setFaxTo(EncodableStringType value) {
        this.faxTo = value;
    }

    /**
     * Gets the value of the subject property.
     * 
     * @return
     *     possible object is
     *     {@link EncodableStringType }
     *     
     */
    public EncodableStringType getSubject() {
        return subject;
    }

    /**
     * Sets the value of the subject property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncodableStringType }
     *     
     */
    public void setSubject(EncodableStringType value) {
        this.subject = value;
    }

    /**
     * Gets the value of the emailFrom property.
     * 
     * @return
     *     possible object is
     *     {@link EncodableStringType }
     *     
     */
    public EncodableStringType getEmailFrom() {
        return emailFrom;
    }

    /**
     * Sets the value of the emailFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncodableStringType }
     *     
     */
    public void setEmailFrom(EncodableStringType value) {
        this.emailFrom = value;
    }

    /**
     * Gets the value of the filename property.
     * 
     * @return
     *     possible object is
     *     {@link EncodableStringType }
     *     
     */
    public EncodableStringType getFilename() {
        return filename;
    }

    /**
     * Sets the value of the filename property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncodableStringType }
     *     
     */
    public void setFilename(EncodableStringType value) {
        this.filename = value;
    }

    /**
     * Gets the value of the faxMode property.
     * 
     * @return
     *     possible object is
     *     {@link FaxModeType }
     *     
     */
    public FaxModeType getFaxMode() {
        return faxMode;
    }

    /**
     * Sets the value of the faxMode property.
     * 
     * @param value
     *     allowed object is
     *     {@link FaxModeType }
     *     
     */
    public void setFaxMode(FaxModeType value) {
        this.faxMode = value;
    }

    /**
     * Gets the value of the clazz property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getClazz() {
        return clazz;
    }

    /**
     * Sets the value of the clazz property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setClazz(String value) {
        this.clazz = value;
    }

    /**
     * Gets the value of the groupName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGroupName() {
        return groupName;
    }

    /**
     * Sets the value of the groupName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGroupName(String value) {
        this.groupName = value;
    }

    /**
     * Gets the value of the characterSet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCharacterSet() {
        return characterSet;
    }

    /**
     * Sets the value of the characterSet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCharacterSet(String value) {
        this.characterSet = value;
    }

    /**
     * Gets the value of the transferNum property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the transferNum property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTransferNum().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TransferNumType }
     * 
     * 
     */
    public List<TransferNumType> getTransferNum() {
        if (transferNum == null) {
            transferNum = new ArrayList<TransferNumType>();
        }
        return this.transferNum;
    }

    /**
     * Gets the value of the paced property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPaced() {
        return paced;
    }

    /**
     * Sets the value of the paced property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPaced(Boolean value) {
        this.paced = value;
    }

    /**
     * Gets the value of the deliveryPaces property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeliveryPaces() {
        return deliveryPaces;
    }

    /**
     * Sets the value of the deliveryPaces property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeliveryPaces(String value) {
        this.deliveryPaces = value;
    }

    /**
     * Gets the value of the faxInFaxID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFaxInFaxID() {
        return faxInFaxID;
    }

    /**
     * Sets the value of the faxInFaxID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFaxInFaxID(String value) {
        this.faxInFaxID = value;
    }

    /**
     * Gets the value of the faxInDNIS property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFaxInDNIS() {
        return faxInDNIS;
    }

    /**
     * Sets the value of the faxInDNIS property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFaxInDNIS(String value) {
        this.faxInDNIS = value;
    }

    /**
     * Gets the value of the faxInConnectTime property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFaxInConnectTime() {
        return faxInConnectTime;
    }

    /**
     * Sets the value of the faxInConnectTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFaxInConnectTime(Integer value) {
        this.faxInConnectTime = value;
    }

    /**
     * Gets the value of the faxInPageCount property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getFaxInPageCount() {
        return faxInPageCount;
    }

    /**
     * Sets the value of the faxInPageCount property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setFaxInPageCount(Integer value) {
        this.faxInPageCount = value;
    }

    /**
     * Gets the value of the areaCodeRecipOmitted property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAreaCodeRecipOmitted() {
        return areaCodeRecipOmitted;
    }

    /**
     * Sets the value of the areaCodeRecipOmitted property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAreaCodeRecipOmitted(String value) {
        this.areaCodeRecipOmitted = value;
    }

    /**
     * Gets the value of the retryAlgorithm property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRetryAlgorithm() {
        return retryAlgorithm;
    }

    /**
     * Sets the value of the retryAlgorithm property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRetryAlgorithm(String value) {
        this.retryAlgorithm = value;
    }

    /**
     * Gets the value of the recipientLocaleStartTime property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getRecipientLocaleStartTime() {
        return recipientLocaleStartTime;
    }

    /**
     * Sets the value of the recipientLocaleStartTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setRecipientLocaleStartTime(XMLGregorianCalendar value) {
        this.recipientLocaleStartTime = value;
    }

    /**
     * Gets the value of the extendedJobData property.
     * 
     * @return
     *     possible object is
     *     {@link ExtDataType }
     *     
     */
    public ExtDataType getExtendedJobData() {
        return extendedJobData;
    }

    /**
     * Sets the value of the extendedJobData property.
     * 
     * @param value
     *     allowed object is
     *     {@link ExtDataType }
     *     
     */
    public void setExtendedJobData(ExtDataType value) {
        this.extendedJobData = value;
    }

    /**
     * Gets the value of the jobState property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the jobState property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getJobState().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JobSummaryDataType.JobState }
     * 
     * 
     */
    public List<JobSummaryDataType.JobState> getJobState() {
        if (jobState == null) {
            jobState = new ArrayList<JobSummaryDataType.JobState>();
        }
        return this.jobState;
    }

    /**
     * Gets the value of the attachmentInfo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the attachmentInfo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAttachmentInfo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AttachmentInfoType }
     * 
     * 
     */
    public List<AttachmentInfoType> getAttachmentInfo() {
        if (attachmentInfo == null) {
            attachmentInfo = new ArrayList<AttachmentInfoType>();
        }
        return this.attachmentInfo;
    }

    /**
     * Gets the value of the jobGroup property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isJobGroup() {
        if (jobGroup == null) {
            return false;
        } else {
            return jobGroup;
        }
    }

    /**
     * Sets the value of the jobGroup property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setJobGroup(Boolean value) {
        this.jobGroup = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="ExpectedSetupStart" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
     *         &lt;element name="ItemsProcessed" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
     *         &lt;element name="ExpectedDeliveryStart" minOccurs="0">
     *           &lt;complexType>
     *             &lt;simpleContent>
     *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>dateTime">
     *                 &lt;attribute name="offpeak" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
     *               &lt;/extension>
     *             &lt;/simpleContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="ErrorInfo" type="{http://premconn.premiereconnect.com/2007/02}ErrorInfoType" minOccurs="0"/>
     *         &lt;element name="ReportType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="ReportStarted" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
     *         &lt;element name="JobSummaryCounts" type="{http://premconn.premiereconnect.com/2007/02}JobSummaryCountsType" minOccurs="0"/>
     *         &lt;element name="AuxiliaryStatus" maxOccurs="unbounded" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="AuxCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *                   &lt;element name="AuxDetail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *                 &lt;/sequence>
     *                 &lt;attribute name="scope" type="{http://premconn.premiereconnect.com/2007/02}StatusScopeType" />
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *       &lt;attribute name="state" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "expectedSetupStart",
        "itemsProcessed",
        "expectedDeliveryStart",
        "errorInfo",
        "reportType",
        "reportStarted",
        "jobSummaryCounts",
        "auxiliaryStatus"
    })
    public static class JobState {

        @XmlElement(name = "ExpectedSetupStart")
        @XmlSchemaType(name = "dateTime")
        protected XMLGregorianCalendar expectedSetupStart;
        @XmlElement(name = "ItemsProcessed")
        protected BigInteger itemsProcessed;
        @XmlElementRef(name = "ExpectedDeliveryStart", namespace = "http://premconn.premiereconnect.com/2007/02", type = JAXBElement.class)
        protected JAXBElement<JobSummaryDataType.JobState.ExpectedDeliveryStart> expectedDeliveryStart;
        @XmlElement(name = "ErrorInfo")
        protected ErrorInfoType errorInfo;
        @XmlElement(name = "ReportType")
        protected String reportType;
        @XmlElement(name = "ReportStarted")
        @XmlSchemaType(name = "dateTime")
        protected XMLGregorianCalendar reportStarted;
        @XmlElement(name = "JobSummaryCounts")
        protected JobSummaryCountsType jobSummaryCounts;
        @XmlElement(name = "AuxiliaryStatus")
        protected List<JobSummaryDataType.JobState.AuxiliaryStatus> auxiliaryStatus;
        @XmlAttribute(required = true)
        protected String state;

        /**
         * Gets the value of the expectedSetupStart property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getExpectedSetupStart() {
            return expectedSetupStart;
        }

        /**
         * Sets the value of the expectedSetupStart property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setExpectedSetupStart(XMLGregorianCalendar value) {
            this.expectedSetupStart = value;
        }

        /**
         * Gets the value of the itemsProcessed property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getItemsProcessed() {
            return itemsProcessed;
        }

        /**
         * Sets the value of the itemsProcessed property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setItemsProcessed(BigInteger value) {
            this.itemsProcessed = value;
        }

        /**
         * Gets the value of the expectedDeliveryStart property.
         * 
         * @return
         *     possible object is
         *     {@link JAXBElement }{@code <}{@link JobSummaryDataType.JobState.ExpectedDeliveryStart }{@code >}
         *     
         */
        public JAXBElement<JobSummaryDataType.JobState.ExpectedDeliveryStart> getExpectedDeliveryStart() {
            return expectedDeliveryStart;
        }

        /**
         * Sets the value of the expectedDeliveryStart property.
         * 
         * @param value
         *     allowed object is
         *     {@link JAXBElement }{@code <}{@link JobSummaryDataType.JobState.ExpectedDeliveryStart }{@code >}
         *     
         */
        public void setExpectedDeliveryStart(JAXBElement<JobSummaryDataType.JobState.ExpectedDeliveryStart> value) {
            this.expectedDeliveryStart = ((JAXBElement<JobSummaryDataType.JobState.ExpectedDeliveryStart> ) value);
        }

        /**
         * Gets the value of the errorInfo property.
         * 
         * @return
         *     possible object is
         *     {@link ErrorInfoType }
         *     
         */
        public ErrorInfoType getErrorInfo() {
            return errorInfo;
        }

        /**
         * Sets the value of the errorInfo property.
         * 
         * @param value
         *     allowed object is
         *     {@link ErrorInfoType }
         *     
         */
        public void setErrorInfo(ErrorInfoType value) {
            this.errorInfo = value;
        }

        /**
         * Gets the value of the reportType property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getReportType() {
            return reportType;
        }

        /**
         * Sets the value of the reportType property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setReportType(String value) {
            this.reportType = value;
        }

        /**
         * Gets the value of the reportStarted property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getReportStarted() {
            return reportStarted;
        }

        /**
         * Sets the value of the reportStarted property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setReportStarted(XMLGregorianCalendar value) {
            this.reportStarted = value;
        }

        /**
         * Gets the value of the jobSummaryCounts property.
         * 
         * @return
         *     possible object is
         *     {@link JobSummaryCountsType }
         *     
         */
        public JobSummaryCountsType getJobSummaryCounts() {
            return jobSummaryCounts;
        }

        /**
         * Sets the value of the jobSummaryCounts property.
         * 
         * @param value
         *     allowed object is
         *     {@link JobSummaryCountsType }
         *     
         */
        public void setJobSummaryCounts(JobSummaryCountsType value) {
            this.jobSummaryCounts = value;
        }

        /**
         * Gets the value of the auxiliaryStatus property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the auxiliaryStatus property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAuxiliaryStatus().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link JobSummaryDataType.JobState.AuxiliaryStatus }
         * 
         * 
         */
        public List<JobSummaryDataType.JobState.AuxiliaryStatus> getAuxiliaryStatus() {
            if (auxiliaryStatus == null) {
                auxiliaryStatus = new ArrayList<JobSummaryDataType.JobState.AuxiliaryStatus>();
            }
            return this.auxiliaryStatus;
        }

        /**
         * Gets the value of the state property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getState() {
            return state;
        }

        /**
         * Sets the value of the state property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setState(String value) {
            this.state = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="AuxCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
         *         &lt;element name="AuxDetail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
         *       &lt;/sequence>
         *       &lt;attribute name="scope" type="{http://premconn.premiereconnect.com/2007/02}StatusScopeType" />
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "auxCode",
            "auxDetail"
        })
        public static class AuxiliaryStatus {

            @XmlElement(name = "AuxCode")
            protected String auxCode;
            @XmlElement(name = "AuxDetail")
            protected String auxDetail;
            @XmlAttribute
            protected StatusScopeType scope;

            /**
             * Gets the value of the auxCode property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getAuxCode() {
                return auxCode;
            }

            /**
             * Sets the value of the auxCode property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setAuxCode(String value) {
                this.auxCode = value;
            }

            /**
             * Gets the value of the auxDetail property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getAuxDetail() {
                return auxDetail;
            }

            /**
             * Sets the value of the auxDetail property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setAuxDetail(String value) {
                this.auxDetail = value;
            }

            /**
             * Gets the value of the scope property.
             * 
             * @return
             *     possible object is
             *     {@link StatusScopeType }
             *     
             */
            public StatusScopeType getScope() {
                return scope;
            }

            /**
             * Sets the value of the scope property.
             * 
             * @param value
             *     allowed object is
             *     {@link StatusScopeType }
             *     
             */
            public void setScope(StatusScopeType value) {
                this.scope = value;
            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;simpleContent>
         *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>dateTime">
         *       &lt;attribute name="offpeak" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
         *     &lt;/extension>
         *   &lt;/simpleContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "value"
        })
        public static class ExpectedDeliveryStart {

            @XmlValue
            @XmlSchemaType(name = "dateTime")
            protected XMLGregorianCalendar value;
            @XmlAttribute
            protected Boolean offpeak;

            /**
             * Gets the value of the value property.
             * 
             * @return
             *     possible object is
             *     {@link XMLGregorianCalendar }
             *     
             */
            public XMLGregorianCalendar getValue() {
                return value;
            }

            /**
             * Sets the value of the value property.
             * 
             * @param value
             *     allowed object is
             *     {@link XMLGregorianCalendar }
             *     
             */
            public void setValue(XMLGregorianCalendar value) {
                this.value = value;
            }

            /**
             * Gets the value of the offpeak property.
             * 
             * @return
             *     possible object is
             *     {@link Boolean }
             *     
             */
            public boolean isOffpeak() {
                if (offpeak == null) {
                    return false;
                } else {
                    return offpeak;
                }
            }

            /**
             * Sets the value of the offpeak property.
             * 
             * @param value
             *     allowed object is
             *     {@link Boolean }
             *     
             */
            public void setOffpeak(Boolean value) {
                this.offpeak = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="ListId" type="{http://premconn.premiereconnect.com/2007/02}ListIdType" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "listId"
    })
    public static class ListsUsed {

        @XmlElement(name = "ListId", required = true)
        protected List<ListIdType> listId;

        /**
         * Gets the value of the listId property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the listId property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getListId().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link ListIdType }
         * 
         * 
         */
        public List<ListIdType> getListId() {
            if (listId == null) {
                listId = new ArrayList<ListIdType>();
            }
            return this.listId;
        }

    }

}
