
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MultipleChoiceInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MultipleChoiceInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ResponseRange">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="NumChoices">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}unsignedInt">
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="ExitChoice" type="{http://premconn.premiereconnect.com/2007/02}DTMFKey" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="PromptAttachment" type="{http://premconn.premiereconnect.com/2007/02}DocumentInfoType" minOccurs="0"/>
 *         &lt;element name="ResponseAttachment" type="{http://premconn.premiereconnect.com/2007/02}DocumentInfoType" minOccurs="0"/>
 *         &lt;element name="Branching" type="{http://premconn.premiereconnect.com/2007/02}BranchingInfoType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MultipleChoiceInfoType", propOrder = {
    "responseRange",
    "promptAttachment",
    "responseAttachment",
    "branching"
})
public class MultipleChoiceInfoType {

    @XmlElement(name = "ResponseRange", required = true)
    protected MultipleChoiceInfoType.ResponseRange responseRange;
    @XmlElement(name = "PromptAttachment")
    protected DocumentInfoType promptAttachment;
    @XmlElement(name = "ResponseAttachment")
    protected DocumentInfoType responseAttachment;
    @XmlElement(name = "Branching")
    protected List<BranchingInfoType> branching;

    /**
     * Gets the value of the responseRange property.
     * 
     * @return
     *     possible object is
     *     {@link MultipleChoiceInfoType.ResponseRange }
     *     
     */
    public MultipleChoiceInfoType.ResponseRange getResponseRange() {
        return responseRange;
    }

    /**
     * Sets the value of the responseRange property.
     * 
     * @param value
     *     allowed object is
     *     {@link MultipleChoiceInfoType.ResponseRange }
     *     
     */
    public void setResponseRange(MultipleChoiceInfoType.ResponseRange value) {
        this.responseRange = value;
    }

    /**
     * Gets the value of the promptAttachment property.
     * 
     * @return
     *     possible object is
     *     {@link DocumentInfoType }
     *     
     */
    public DocumentInfoType getPromptAttachment() {
        return promptAttachment;
    }

    /**
     * Sets the value of the promptAttachment property.
     * 
     * @param value
     *     allowed object is
     *     {@link DocumentInfoType }
     *     
     */
    public void setPromptAttachment(DocumentInfoType value) {
        this.promptAttachment = value;
    }

    /**
     * Gets the value of the responseAttachment property.
     * 
     * @return
     *     possible object is
     *     {@link DocumentInfoType }
     *     
     */
    public DocumentInfoType getResponseAttachment() {
        return responseAttachment;
    }

    /**
     * Sets the value of the responseAttachment property.
     * 
     * @param value
     *     allowed object is
     *     {@link DocumentInfoType }
     *     
     */
    public void setResponseAttachment(DocumentInfoType value) {
        this.responseAttachment = value;
    }

    /**
     * Gets the value of the branching property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the branching property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBranching().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BranchingInfoType }
     * 
     * 
     */
    public List<BranchingInfoType> getBranching() {
        if (branching == null) {
            branching = new ArrayList<BranchingInfoType>();
        }
        return this.branching;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="NumChoices">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}unsignedInt">
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="ExitChoice" type="{http://premconn.premiereconnect.com/2007/02}DTMFKey" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "numChoices",
        "exitChoice"
    })
    public static class ResponseRange {

        @XmlElement(name = "NumChoices")
        protected long numChoices;
        @XmlElement(name = "ExitChoice")
        protected String exitChoice;

        /**
         * Gets the value of the numChoices property.
         * 
         */
        public long getNumChoices() {
            return numChoices;
        }

        /**
         * Sets the value of the numChoices property.
         * 
         */
        public void setNumChoices(long value) {
            this.numChoices = value;
        }

        /**
         * Gets the value of the exitChoice property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getExitChoice() {
            return exitChoice;
        }

        /**
         * Sets the value of the exitChoice property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setExitChoice(String value) {
            this.exitChoice = value;
        }

    }

}
