
package com.premiereconnect.premconn._2007._02;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * profile field data - returned by read
 * 
 * <p>Java class for ProfileItemType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProfileItemType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ProfileLevel" type="{http://premconn.premiereconnect.com/2007/02}ProfileLevelType"/>
 *         &lt;element name="ProfileEntityId" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="ProfileEntityName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ProfileItemName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ProfileItemValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ProfileFieldInfo" type="{http://premconn.premiereconnect.com/2007/02}ProfileFieldInfoType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProfileItemType", propOrder = {
    "profileLevel",
    "profileEntityId",
    "profileEntityName",
    "profileItemName",
    "profileItemValue",
    "profileFieldInfo"
})
public class ProfileItemType {

    @XmlElement(name = "ProfileLevel", required = true)
    protected ProfileLevelType profileLevel;
    @XmlElement(name = "ProfileEntityId")
    protected BigInteger profileEntityId;
    @XmlElement(name = "ProfileEntityName")
    protected String profileEntityName;
    @XmlElement(name = "ProfileItemName", required = true)
    protected String profileItemName;
    @XmlElement(name = "ProfileItemValue", required = true)
    protected String profileItemValue;
    @XmlElement(name = "ProfileFieldInfo")
    protected ProfileFieldInfoType profileFieldInfo;

    /**
     * Gets the value of the profileLevel property.
     * 
     * @return
     *     possible object is
     *     {@link ProfileLevelType }
     *     
     */
    public ProfileLevelType getProfileLevel() {
        return profileLevel;
    }

    /**
     * Sets the value of the profileLevel property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProfileLevelType }
     *     
     */
    public void setProfileLevel(ProfileLevelType value) {
        this.profileLevel = value;
    }

    /**
     * Gets the value of the profileEntityId property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getProfileEntityId() {
        return profileEntityId;
    }

    /**
     * Sets the value of the profileEntityId property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setProfileEntityId(BigInteger value) {
        this.profileEntityId = value;
    }

    /**
     * Gets the value of the profileEntityName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProfileEntityName() {
        return profileEntityName;
    }

    /**
     * Sets the value of the profileEntityName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProfileEntityName(String value) {
        this.profileEntityName = value;
    }

    /**
     * Gets the value of the profileItemName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProfileItemName() {
        return profileItemName;
    }

    /**
     * Sets the value of the profileItemName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProfileItemName(String value) {
        this.profileItemName = value;
    }

    /**
     * Gets the value of the profileItemValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProfileItemValue() {
        return profileItemValue;
    }

    /**
     * Sets the value of the profileItemValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProfileItemValue(String value) {
        this.profileItemValue = value;
    }

    /**
     * Gets the value of the profileFieldInfo property.
     * 
     * @return
     *     possible object is
     *     {@link ProfileFieldInfoType }
     *     
     */
    public ProfileFieldInfoType getProfileFieldInfo() {
        return profileFieldInfo;
    }

    /**
     * Sets the value of the profileFieldInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProfileFieldInfoType }
     *     
     */
    public void setProfileFieldInfo(ProfileFieldInfoType value) {
        this.profileFieldInfo = value;
    }

}
