
package com.premiereconnect.premconn._2007._02;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * type used to specify an update to
 *                         a particular field
 * 
 * <p>Java class for ProfileUpdateSpecType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProfileUpdateSpecType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ProfileLevel" type="{http://premconn.premiereconnect.com/2007/02}ProfileLevelType"/>
 *         &lt;choice>
 *           &lt;element name="ProfileEntityId" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *           &lt;element name="ProfileEntityName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;/choice>
 *         &lt;element name="ProfileItemName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="NewItemValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProfileUpdateSpecType", propOrder = {
    "profileLevel",
    "profileEntityId",
    "profileEntityName",
    "profileItemName",
    "newItemValue"
})
public class ProfileUpdateSpecType {

    @XmlElement(name = "ProfileLevel", required = true)
    protected ProfileLevelType profileLevel;
    @XmlElement(name = "ProfileEntityId")
    protected BigInteger profileEntityId;
    @XmlElement(name = "ProfileEntityName")
    protected String profileEntityName;
    @XmlElement(name = "ProfileItemName", required = true)
    protected String profileItemName;
    @XmlElement(name = "NewItemValue", required = true)
    protected String newItemValue;

    /**
     * Gets the value of the profileLevel property.
     * 
     * @return
     *     possible object is
     *     {@link ProfileLevelType }
     *     
     */
    public ProfileLevelType getProfileLevel() {
        return profileLevel;
    }

    /**
     * Sets the value of the profileLevel property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProfileLevelType }
     *     
     */
    public void setProfileLevel(ProfileLevelType value) {
        this.profileLevel = value;
    }

    /**
     * Gets the value of the profileEntityId property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getProfileEntityId() {
        return profileEntityId;
    }

    /**
     * Sets the value of the profileEntityId property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setProfileEntityId(BigInteger value) {
        this.profileEntityId = value;
    }

    /**
     * Gets the value of the profileEntityName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProfileEntityName() {
        return profileEntityName;
    }

    /**
     * Sets the value of the profileEntityName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProfileEntityName(String value) {
        this.profileEntityName = value;
    }

    /**
     * Gets the value of the profileItemName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProfileItemName() {
        return profileItemName;
    }

    /**
     * Sets the value of the profileItemName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProfileItemName(String value) {
        this.profileItemName = value;
    }

    /**
     * Gets the value of the newItemValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNewItemValue() {
        return newItemValue;
    }

    /**
     * Sets the value of the newItemValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNewItemValue(String value) {
        this.newItemValue = value;
    }

}
