
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RemovalReportType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RemovalReportType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Domain" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ReportTemplate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DateRange" type="{http://premconn.premiereconnect.com/2007/02}DateRangeType" minOccurs="0"/>
 *         &lt;element name="ReportAddress" type="{http://premconn.premiereconnect.com/2007/02}DeliveryItemListType"/>
 *         &lt;element name="AddressTypeList" type="{http://premconn.premiereconnect.com/2007/02}AddressType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RemovalReportType", propOrder = {
    "domain",
    "reportTemplate",
    "dateRange",
    "reportAddress",
    "addressTypeList"
})
public class RemovalReportType {

    @XmlElement(name = "Domain", required = true)
    protected String domain;
    @XmlElement(name = "ReportTemplate")
    protected String reportTemplate;
    @XmlElement(name = "DateRange")
    protected DateRangeType dateRange;
    @XmlElement(name = "ReportAddress", required = true)
    protected DeliveryItemListType reportAddress;
    @XmlElement(name = "AddressTypeList")
    protected List<AddressType> addressTypeList;

    /**
     * Gets the value of the domain property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDomain() {
        return domain;
    }

    /**
     * Sets the value of the domain property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDomain(String value) {
        this.domain = value;
    }

    /**
     * Gets the value of the reportTemplate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReportTemplate() {
        return reportTemplate;
    }

    /**
     * Sets the value of the reportTemplate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReportTemplate(String value) {
        this.reportTemplate = value;
    }

    /**
     * Gets the value of the dateRange property.
     * 
     * @return
     *     possible object is
     *     {@link DateRangeType }
     *     
     */
    public DateRangeType getDateRange() {
        return dateRange;
    }

    /**
     * Sets the value of the dateRange property.
     * 
     * @param value
     *     allowed object is
     *     {@link DateRangeType }
     *     
     */
    public void setDateRange(DateRangeType value) {
        this.dateRange = value;
    }

    /**
     * Gets the value of the reportAddress property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryItemListType }
     *     
     */
    public DeliveryItemListType getReportAddress() {
        return reportAddress;
    }

    /**
     * Sets the value of the reportAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryItemListType }
     *     
     */
    public void setReportAddress(DeliveryItemListType value) {
        this.reportAddress = value;
    }

    /**
     * Gets the value of the addressTypeList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the addressTypeList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAddressTypeList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AddressType }
     * 
     * 
     */
    public List<AddressType> getAddressTypeList() {
        if (addressTypeList == null) {
            addressTypeList = new ArrayList<AddressType>();
        }
        return this.addressTypeList;
    }

}
