
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for ReportOptionsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ReportOptionsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="DeliveryReport" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="DeliveryReportType" type="{http://premconn.premiereconnect.com/2007/02}MainReportTypeEnum"/>
 *                   &lt;element name="ReportAddress" type="{http://premconn.premiereconnect.com/2007/02}DeliveryItemListType" minOccurs="0"/>
 *                   &lt;element name="ReportTemplate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="FriendReport" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="FriendReportType" type="{http://premconn.premiereconnect.com/2007/02}FriendReportTypeEnum"/>
 *                   &lt;element name="ReportAddress" type="{http://premconn.premiereconnect.com/2007/02}DeliveryItemListType" minOccurs="0"/>
 *                   &lt;element name="FriendReportTemplate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="FinalReport" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="ReportType" type="{http://premconn.premiereconnect.com/2007/02}AllReportTypeEnum"/>
 *                   &lt;element name="ReportAddress" type="{http://premconn.premiereconnect.com/2007/02}DeliveryItemListType" minOccurs="0"/>
 *                   &lt;element name="ReportTemplate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="ProgressReport" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="ProgressReportType" type="{http://premconn.premiereconnect.com/2007/02}AllReportTypeEnum"/>
 *                   &lt;element name="ReportAddress" type="{http://premconn.premiereconnect.com/2007/02}DeliveryItemListType" minOccurs="0"/>
 *                   &lt;element name="ProgressReportTemplate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="ProgressReportIntervals" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="ProgressReportBase" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ReportOptionsType", propOrder = {

})
public class ReportOptionsType {

    @XmlElement(name = "DeliveryReport")
    protected ReportOptionsType.DeliveryReport deliveryReport;
    @XmlElement(name = "FriendReport")
    protected ReportOptionsType.FriendReport friendReport;
    @XmlElement(name = "FinalReport")
    protected ReportOptionsType.FinalReport finalReport;
    @XmlElement(name = "ProgressReport")
    protected ReportOptionsType.ProgressReport progressReport;

    /**
     * Gets the value of the deliveryReport property.
     * 
     * @return
     *     possible object is
     *     {@link ReportOptionsType.DeliveryReport }
     *     
     */
    public ReportOptionsType.DeliveryReport getDeliveryReport() {
        return deliveryReport;
    }

    /**
     * Sets the value of the deliveryReport property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReportOptionsType.DeliveryReport }
     *     
     */
    public void setDeliveryReport(ReportOptionsType.DeliveryReport value) {
        this.deliveryReport = value;
    }

    /**
     * Gets the value of the friendReport property.
     * 
     * @return
     *     possible object is
     *     {@link ReportOptionsType.FriendReport }
     *     
     */
    public ReportOptionsType.FriendReport getFriendReport() {
        return friendReport;
    }

    /**
     * Sets the value of the friendReport property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReportOptionsType.FriendReport }
     *     
     */
    public void setFriendReport(ReportOptionsType.FriendReport value) {
        this.friendReport = value;
    }

    /**
     * Gets the value of the finalReport property.
     * 
     * @return
     *     possible object is
     *     {@link ReportOptionsType.FinalReport }
     *     
     */
    public ReportOptionsType.FinalReport getFinalReport() {
        return finalReport;
    }

    /**
     * Sets the value of the finalReport property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReportOptionsType.FinalReport }
     *     
     */
    public void setFinalReport(ReportOptionsType.FinalReport value) {
        this.finalReport = value;
    }

    /**
     * Gets the value of the progressReport property.
     * 
     * @return
     *     possible object is
     *     {@link ReportOptionsType.ProgressReport }
     *     
     */
    public ReportOptionsType.ProgressReport getProgressReport() {
        return progressReport;
    }

    /**
     * Sets the value of the progressReport property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReportOptionsType.ProgressReport }
     *     
     */
    public void setProgressReport(ReportOptionsType.ProgressReport value) {
        this.progressReport = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="DeliveryReportType" type="{http://premconn.premiereconnect.com/2007/02}MainReportTypeEnum"/>
     *         &lt;element name="ReportAddress" type="{http://premconn.premiereconnect.com/2007/02}DeliveryItemListType" minOccurs="0"/>
     *         &lt;element name="ReportTemplate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "deliveryReportType",
        "reportAddress",
        "reportTemplate"
    })
    public static class DeliveryReport {

        @XmlElement(name = "DeliveryReportType", required = true)
        protected MainReportTypeEnum deliveryReportType;
        @XmlElement(name = "ReportAddress")
        protected DeliveryItemListType reportAddress;
        @XmlElement(name = "ReportTemplate")
        protected String reportTemplate;

        /**
         * Gets the value of the deliveryReportType property.
         * 
         * @return
         *     possible object is
         *     {@link MainReportTypeEnum }
         *     
         */
        public MainReportTypeEnum getDeliveryReportType() {
            return deliveryReportType;
        }

        /**
         * Sets the value of the deliveryReportType property.
         * 
         * @param value
         *     allowed object is
         *     {@link MainReportTypeEnum }
         *     
         */
        public void setDeliveryReportType(MainReportTypeEnum value) {
            this.deliveryReportType = value;
        }

        /**
         * Gets the value of the reportAddress property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryItemListType }
         *     
         */
        public DeliveryItemListType getReportAddress() {
            return reportAddress;
        }

        /**
         * Sets the value of the reportAddress property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryItemListType }
         *     
         */
        public void setReportAddress(DeliveryItemListType value) {
            this.reportAddress = value;
        }

        /**
         * Gets the value of the reportTemplate property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getReportTemplate() {
            return reportTemplate;
        }

        /**
         * Sets the value of the reportTemplate property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setReportTemplate(String value) {
            this.reportTemplate = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="ReportType" type="{http://premconn.premiereconnect.com/2007/02}AllReportTypeEnum"/>
     *         &lt;element name="ReportAddress" type="{http://premconn.premiereconnect.com/2007/02}DeliveryItemListType" minOccurs="0"/>
     *         &lt;element name="ReportTemplate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "reportType",
        "reportAddress",
        "reportTemplate"
    })
    public static class FinalReport {

        @XmlElement(name = "ReportType", required = true)
        protected AllReportTypeEnum reportType;
        @XmlElement(name = "ReportAddress")
        protected DeliveryItemListType reportAddress;
        @XmlElement(name = "ReportTemplate")
        protected String reportTemplate;

        /**
         * Gets the value of the reportType property.
         * 
         * @return
         *     possible object is
         *     {@link AllReportTypeEnum }
         *     
         */
        public AllReportTypeEnum getReportType() {
            return reportType;
        }

        /**
         * Sets the value of the reportType property.
         * 
         * @param value
         *     allowed object is
         *     {@link AllReportTypeEnum }
         *     
         */
        public void setReportType(AllReportTypeEnum value) {
            this.reportType = value;
        }

        /**
         * Gets the value of the reportAddress property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryItemListType }
         *     
         */
        public DeliveryItemListType getReportAddress() {
            return reportAddress;
        }

        /**
         * Sets the value of the reportAddress property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryItemListType }
         *     
         */
        public void setReportAddress(DeliveryItemListType value) {
            this.reportAddress = value;
        }

        /**
         * Gets the value of the reportTemplate property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getReportTemplate() {
            return reportTemplate;
        }

        /**
         * Sets the value of the reportTemplate property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setReportTemplate(String value) {
            this.reportTemplate = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="FriendReportType" type="{http://premconn.premiereconnect.com/2007/02}FriendReportTypeEnum"/>
     *         &lt;element name="ReportAddress" type="{http://premconn.premiereconnect.com/2007/02}DeliveryItemListType" minOccurs="0"/>
     *         &lt;element name="FriendReportTemplate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "friendReportType",
        "reportAddress",
        "friendReportTemplate"
    })
    public static class FriendReport {

        @XmlElement(name = "FriendReportType", required = true)
        protected FriendReportTypeEnum friendReportType;
        @XmlElement(name = "ReportAddress")
        protected DeliveryItemListType reportAddress;
        @XmlElement(name = "FriendReportTemplate")
        protected String friendReportTemplate;

        /**
         * Gets the value of the friendReportType property.
         * 
         * @return
         *     possible object is
         *     {@link FriendReportTypeEnum }
         *     
         */
        public FriendReportTypeEnum getFriendReportType() {
            return friendReportType;
        }

        /**
         * Sets the value of the friendReportType property.
         * 
         * @param value
         *     allowed object is
         *     {@link FriendReportTypeEnum }
         *     
         */
        public void setFriendReportType(FriendReportTypeEnum value) {
            this.friendReportType = value;
        }

        /**
         * Gets the value of the reportAddress property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryItemListType }
         *     
         */
        public DeliveryItemListType getReportAddress() {
            return reportAddress;
        }

        /**
         * Sets the value of the reportAddress property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryItemListType }
         *     
         */
        public void setReportAddress(DeliveryItemListType value) {
            this.reportAddress = value;
        }

        /**
         * Gets the value of the friendReportTemplate property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getFriendReportTemplate() {
            return friendReportTemplate;
        }

        /**
         * Sets the value of the friendReportTemplate property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setFriendReportTemplate(String value) {
            this.friendReportTemplate = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="ProgressReportType" type="{http://premconn.premiereconnect.com/2007/02}AllReportTypeEnum"/>
     *         &lt;element name="ReportAddress" type="{http://premconn.premiereconnect.com/2007/02}DeliveryItemListType" minOccurs="0"/>
     *         &lt;element name="ProgressReportTemplate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="ProgressReportIntervals" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="ProgressReportBase" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "progressReportType",
        "reportAddress",
        "progressReportTemplate",
        "progressReportIntervals",
        "progressReportBase"
    })
    public static class ProgressReport {

        @XmlElement(name = "ProgressReportType", required = true)
        protected AllReportTypeEnum progressReportType;
        @XmlElement(name = "ReportAddress")
        protected DeliveryItemListType reportAddress;
        @XmlElement(name = "ProgressReportTemplate")
        protected String progressReportTemplate;
        @XmlElement(name = "ProgressReportIntervals")
        protected String progressReportIntervals;
        @XmlElement(name = "ProgressReportBase")
        @XmlSchemaType(name = "dateTime")
        protected XMLGregorianCalendar progressReportBase;

        /**
         * Gets the value of the progressReportType property.
         * 
         * @return
         *     possible object is
         *     {@link AllReportTypeEnum }
         *     
         */
        public AllReportTypeEnum getProgressReportType() {
            return progressReportType;
        }

        /**
         * Sets the value of the progressReportType property.
         * 
         * @param value
         *     allowed object is
         *     {@link AllReportTypeEnum }
         *     
         */
        public void setProgressReportType(AllReportTypeEnum value) {
            this.progressReportType = value;
        }

        /**
         * Gets the value of the reportAddress property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryItemListType }
         *     
         */
        public DeliveryItemListType getReportAddress() {
            return reportAddress;
        }

        /**
         * Sets the value of the reportAddress property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryItemListType }
         *     
         */
        public void setReportAddress(DeliveryItemListType value) {
            this.reportAddress = value;
        }

        /**
         * Gets the value of the progressReportTemplate property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getProgressReportTemplate() {
            return progressReportTemplate;
        }

        /**
         * Sets the value of the progressReportTemplate property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setProgressReportTemplate(String value) {
            this.progressReportTemplate = value;
        }

        /**
         * Gets the value of the progressReportIntervals property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getProgressReportIntervals() {
            return progressReportIntervals;
        }

        /**
         * Sets the value of the progressReportIntervals property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setProgressReportIntervals(String value) {
            this.progressReportIntervals = value;
        }

        /**
         * Gets the value of the progressReportBase property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getProgressReportBase() {
            return progressReportBase;
        }

        /**
         * Sets the value of the progressReportBase property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setProgressReportBase(XMLGregorianCalendar value) {
            this.progressReportBase = value;
        }

    }

}
