
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="SubmitId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Resend" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="MessageId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="JobId" type="{http://premconn.premiereconnect.com/2007/02}JobIdType"/>
 *                   &lt;element name="Schedule" type="{http://premconn.premiereconnect.com/2007/02}ScheduleType" minOccurs="0"/>
 *                   &lt;element name="StartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *                   &lt;element name="RecipientTimezoneOption" type="{http://premconn.premiereconnect.com/2007/02}YesNo" minOccurs="0"/>
 *                   &lt;element name="ResendSpec" type="{http://premconn.premiereconnect.com/2007/02}ResendSpecType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "submitId",
    "resend"
})
@XmlRootElement(name = "ResendRequest")
public class ResendRequest {

    @XmlElement(name = "SubmitId")
    protected String submitId;
    @XmlElement(name = "Resend", required = true)
    protected List<ResendRequest.Resend> resend;

    /**
     * Gets the value of the submitId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubmitId() {
        return submitId;
    }

    /**
     * Sets the value of the submitId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubmitId(String value) {
        this.submitId = value;
    }

    /**
     * Gets the value of the resend property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the resend property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getResend().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ResendRequest.Resend }
     * 
     * 
     */
    public List<ResendRequest.Resend> getResend() {
        if (resend == null) {
            resend = new ArrayList<ResendRequest.Resend>();
        }
        return this.resend;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="MessageId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="JobId" type="{http://premconn.premiereconnect.com/2007/02}JobIdType"/>
     *         &lt;element name="Schedule" type="{http://premconn.premiereconnect.com/2007/02}ScheduleType" minOccurs="0"/>
     *         &lt;element name="StartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
     *         &lt;element name="RecipientTimezoneOption" type="{http://premconn.premiereconnect.com/2007/02}YesNo" minOccurs="0"/>
     *         &lt;element name="ResendSpec" type="{http://premconn.premiereconnect.com/2007/02}ResendSpecType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "messageId",
        "jobId",
        "schedule",
        "startTime",
        "recipientTimezoneOption",
        "resendSpec"
    })
    public static class Resend {

        @XmlElement(name = "MessageId")
        protected String messageId;
        @XmlElement(name = "JobId", required = true)
        protected JobIdType jobId;
        @XmlElement(name = "Schedule")
        protected ScheduleType schedule;
        @XmlElement(name = "StartTime")
        @XmlSchemaType(name = "dateTime")
        protected XMLGregorianCalendar startTime;
        @XmlElement(name = "RecipientTimezoneOption")
        protected YesNo recipientTimezoneOption;
        @XmlElement(name = "ResendSpec")
        protected ResendSpecType resendSpec;

        /**
         * Gets the value of the messageId property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMessageId() {
            return messageId;
        }

        /**
         * Sets the value of the messageId property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMessageId(String value) {
            this.messageId = value;
        }

        /**
         * Gets the value of the jobId property.
         * 
         * @return
         *     possible object is
         *     {@link JobIdType }
         *     
         */
        public JobIdType getJobId() {
            return jobId;
        }

        /**
         * Sets the value of the jobId property.
         * 
         * @param value
         *     allowed object is
         *     {@link JobIdType }
         *     
         */
        public void setJobId(JobIdType value) {
            this.jobId = value;
        }

        /**
         * Gets the value of the schedule property.
         * 
         * @return
         *     possible object is
         *     {@link ScheduleType }
         *     
         */
        public ScheduleType getSchedule() {
            return schedule;
        }

        /**
         * Sets the value of the schedule property.
         * 
         * @param value
         *     allowed object is
         *     {@link ScheduleType }
         *     
         */
        public void setSchedule(ScheduleType value) {
            this.schedule = value;
        }

        /**
         * Gets the value of the startTime property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getStartTime() {
            return startTime;
        }

        /**
         * Sets the value of the startTime property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setStartTime(XMLGregorianCalendar value) {
            this.startTime = value;
        }

        /**
         * Gets the value of the recipientTimezoneOption property.
         * 
         * @return
         *     possible object is
         *     {@link YesNo }
         *     
         */
        public YesNo getRecipientTimezoneOption() {
            return recipientTimezoneOption;
        }

        /**
         * Sets the value of the recipientTimezoneOption property.
         * 
         * @param value
         *     allowed object is
         *     {@link YesNo }
         *     
         */
        public void setRecipientTimezoneOption(YesNo value) {
            this.recipientTimezoneOption = value;
        }

        /**
         * Gets the value of the resendSpec property.
         * 
         * @return
         *     possible object is
         *     {@link ResendSpecType }
         *     
         */
        public ResendSpecType getResendSpec() {
            return resendSpec;
        }

        /**
         * Sets the value of the resendSpec property.
         * 
         * @param value
         *     allowed object is
         *     {@link ResendSpecType }
         *     
         */
        public void setResendSpec(ResendSpecType value) {
            this.resendSpec = value;
        }

    }

}
