
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ResendSpecType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ResendSpecType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="ItemSpec" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Destination" type="{http://premconn.premiereconnect.com/2007/02}DestinationType" minOccurs="0"/>
 *                   &lt;element name="ReportType" type="{http://premconn.premiereconnect.com/2007/02}MainReportTypeEnum" minOccurs="0"/>
 *                   &lt;element name="ReportDestination" type="{http://premconn.premiereconnect.com/2007/02}DestinationType" minOccurs="0"/>
 *                 &lt;/sequence>
 *                 &lt;attribute name="xqn" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="FilterSpec" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Filter" maxOccurs="unbounded">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *                         &lt;enumeration value="Busy"/>
 *                         &lt;enumeration value="NoAnswer"/>
 *                         &lt;enumeration value="NotSent"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ResendSpecType", propOrder = {
    "itemSpec",
    "filterSpec"
})
public class ResendSpecType {

    @XmlElement(name = "ItemSpec")
    protected ResendSpecType.ItemSpec itemSpec;
    @XmlElement(name = "FilterSpec")
    protected ResendSpecType.FilterSpec filterSpec;

    /**
     * Gets the value of the itemSpec property.
     * 
     * @return
     *     possible object is
     *     {@link ResendSpecType.ItemSpec }
     *     
     */
    public ResendSpecType.ItemSpec getItemSpec() {
        return itemSpec;
    }

    /**
     * Sets the value of the itemSpec property.
     * 
     * @param value
     *     allowed object is
     *     {@link ResendSpecType.ItemSpec }
     *     
     */
    public void setItemSpec(ResendSpecType.ItemSpec value) {
        this.itemSpec = value;
    }

    /**
     * Gets the value of the filterSpec property.
     * 
     * @return
     *     possible object is
     *     {@link ResendSpecType.FilterSpec }
     *     
     */
    public ResendSpecType.FilterSpec getFilterSpec() {
        return filterSpec;
    }

    /**
     * Sets the value of the filterSpec property.
     * 
     * @param value
     *     allowed object is
     *     {@link ResendSpecType.FilterSpec }
     *     
     */
    public void setFilterSpec(ResendSpecType.FilterSpec value) {
        this.filterSpec = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Filter" maxOccurs="unbounded">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
     *               &lt;enumeration value="Busy"/>
     *               &lt;enumeration value="NoAnswer"/>
     *               &lt;enumeration value="NotSent"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "filter"
    })
    public static class FilterSpec {

        @XmlElement(name = "Filter", required = true)
        protected List<String> filter;

        /**
         * Gets the value of the filter property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the filter property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getFilter().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link String }
         * 
         * 
         */
        public List<String> getFilter() {
            if (filter == null) {
                filter = new ArrayList<String>();
            }
            return this.filter;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Destination" type="{http://premconn.premiereconnect.com/2007/02}DestinationType" minOccurs="0"/>
     *         &lt;element name="ReportType" type="{http://premconn.premiereconnect.com/2007/02}MainReportTypeEnum" minOccurs="0"/>
     *         &lt;element name="ReportDestination" type="{http://premconn.premiereconnect.com/2007/02}DestinationType" minOccurs="0"/>
     *       &lt;/sequence>
     *       &lt;attribute name="xqn" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "destination",
        "reportType",
        "reportDestination"
    })
    public static class ItemSpec {

        @XmlElement(name = "Destination")
        protected DestinationType destination;
        @XmlElement(name = "ReportType")
        protected MainReportTypeEnum reportType;
        @XmlElement(name = "ReportDestination")
        protected DestinationType reportDestination;
        @XmlAttribute(required = true)
        protected int xqn;

        /**
         * Gets the value of the destination property.
         * 
         * @return
         *     possible object is
         *     {@link DestinationType }
         *     
         */
        public DestinationType getDestination() {
            return destination;
        }

        /**
         * Sets the value of the destination property.
         * 
         * @param value
         *     allowed object is
         *     {@link DestinationType }
         *     
         */
        public void setDestination(DestinationType value) {
            this.destination = value;
        }

        /**
         * Gets the value of the reportType property.
         * 
         * @return
         *     possible object is
         *     {@link MainReportTypeEnum }
         *     
         */
        public MainReportTypeEnum getReportType() {
            return reportType;
        }

        /**
         * Sets the value of the reportType property.
         * 
         * @param value
         *     allowed object is
         *     {@link MainReportTypeEnum }
         *     
         */
        public void setReportType(MainReportTypeEnum value) {
            this.reportType = value;
        }

        /**
         * Gets the value of the reportDestination property.
         * 
         * @return
         *     possible object is
         *     {@link DestinationType }
         *     
         */
        public DestinationType getReportDestination() {
            return reportDestination;
        }

        /**
         * Sets the value of the reportDestination property.
         * 
         * @param value
         *     allowed object is
         *     {@link DestinationType }
         *     
         */
        public void setReportDestination(DestinationType value) {
            this.reportDestination = value;
        }

        /**
         * Gets the value of the xqn property.
         * 
         */
        public int getXqn() {
            return xqn;
        }

        /**
         * Sets the value of the xqn property.
         * 
         */
        public void setXqn(int value) {
            this.xqn = value;
        }

    }

}
