
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for StateStringType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="StateStringType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Pending"/>
 *     &lt;enumeration value="Submitted"/>
 *     &lt;enumeration value="InProcess"/>
 *     &lt;enumeration value="Error"/>
 *     &lt;enumeration value="Cancelled"/>
 *     &lt;enumeration value="Held"/>
 *     &lt;enumeration value="Sent"/>
 *     &lt;enumeration value="Expired"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "StateStringType")
@XmlEnum
public enum StateStringType {

    @XmlEnumValue("Pending")
    PENDING("Pending"),
    @XmlEnumValue("Submitted")
    SUBMITTED("Submitted"),
    @XmlEnumValue("InProcess")
    IN_PROCESS("InProcess"),
    @XmlEnumValue("Error")
    ERROR("Error"),
    @XmlEnumValue("Cancelled")
    CANCELLED("Cancelled"),
    @XmlEnumValue("Held")
    HELD("Held"),
    @XmlEnumValue("Sent")
    SENT("Sent"),
    @XmlEnumValue("Expired")
    EXPIRED("Expired");
    private final String value;

    StateStringType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static StateStringType fromValue(String v) {
        for (StateStringType c: StateStringType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
