
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="SubmitId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="BlockStore" type="{http://premconn.premiereconnect.com/2007/02}BlockStoreType"/>
 *         &lt;element name="BlockLevel" type="{http://premconn.premiereconnect.com/2007/02}BlockLevelType"/>
 *         &lt;element name="Address" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;choice>
 *                     &lt;element name="BlockAddress" type="{http://premconn.premiereconnect.com/2007/02}BlockDestinationType"/>
 *                     &lt;element name="DomainBlockAddress" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;/choice>
 *                   &lt;element name="ANICountryCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "submitId",
    "blockStore",
    "blockLevel",
    "address"
})
@XmlRootElement(name = "AddressBlockDeleteRequest")
public class AddressBlockDeleteRequest {

    @XmlElement(name = "SubmitId")
    protected String submitId;
    @XmlElement(name = "BlockStore", required = true)
    protected BlockStoreType blockStore;
    @XmlElement(name = "BlockLevel", required = true)
    protected BlockLevelType blockLevel;
    @XmlElement(name = "Address", required = true)
    protected List<AddressBlockDeleteRequest.Address> address;

    /**
     * Gets the value of the submitId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubmitId() {
        return submitId;
    }

    /**
     * Sets the value of the submitId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubmitId(String value) {
        this.submitId = value;
    }

    /**
     * Gets the value of the blockStore property.
     * 
     * @return
     *     possible object is
     *     {@link BlockStoreType }
     *     
     */
    public BlockStoreType getBlockStore() {
        return blockStore;
    }

    /**
     * Sets the value of the blockStore property.
     * 
     * @param value
     *     allowed object is
     *     {@link BlockStoreType }
     *     
     */
    public void setBlockStore(BlockStoreType value) {
        this.blockStore = value;
    }

    /**
     * Gets the value of the blockLevel property.
     * 
     * @return
     *     possible object is
     *     {@link BlockLevelType }
     *     
     */
    public BlockLevelType getBlockLevel() {
        return blockLevel;
    }

    /**
     * Sets the value of the blockLevel property.
     * 
     * @param value
     *     allowed object is
     *     {@link BlockLevelType }
     *     
     */
    public void setBlockLevel(BlockLevelType value) {
        this.blockLevel = value;
    }

    /**
     * Gets the value of the address property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the address property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAddress().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AddressBlockDeleteRequest.Address }
     * 
     * 
     */
    public List<AddressBlockDeleteRequest.Address> getAddress() {
        if (address == null) {
            address = new ArrayList<AddressBlockDeleteRequest.Address>();
        }
        return this.address;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;choice>
     *           &lt;element name="BlockAddress" type="{http://premconn.premiereconnect.com/2007/02}BlockDestinationType"/>
     *           &lt;element name="DomainBlockAddress" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;/choice>
     *         &lt;element name="ANICountryCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "blockAddress",
        "domainBlockAddress",
        "aniCountryCode"
    })
    public static class Address {

        @XmlElement(name = "BlockAddress")
        protected BlockDestinationType blockAddress;
        @XmlElement(name = "DomainBlockAddress")
        protected String domainBlockAddress;
        @XmlElement(name = "ANICountryCode")
        protected String aniCountryCode;

        /**
         * Gets the value of the blockAddress property.
         * 
         * @return
         *     possible object is
         *     {@link BlockDestinationType }
         *     
         */
        public BlockDestinationType getBlockAddress() {
            return blockAddress;
        }

        /**
         * Sets the value of the blockAddress property.
         * 
         * @param value
         *     allowed object is
         *     {@link BlockDestinationType }
         *     
         */
        public void setBlockAddress(BlockDestinationType value) {
            this.blockAddress = value;
        }

        /**
         * Gets the value of the domainBlockAddress property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDomainBlockAddress() {
            return domainBlockAddress;
        }

        /**
         * Sets the value of the domainBlockAddress property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDomainBlockAddress(String value) {
            this.domainBlockAddress = value;
        }

        /**
         * Gets the value of the aniCountryCode property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getANICountryCode() {
            return aniCountryCode;
        }

        /**
         * Sets the value of the aniCountryCode property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setANICountryCode(String value) {
            this.aniCountryCode = value;
        }

    }

}
