
package com.premiereconnect.premconn._2007._02;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AttachmentInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AttachmentInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="FileName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Size" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *         &lt;element name="AttachmentFlags" type="{http://premconn.premiereconnect.com/2007/02}AttachmentFlagsType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="Security" type="{http://premconn.premiereconnect.com/2007/02}SecurityType" minOccurs="0"/>
 *         &lt;element name="ContentType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="TotalPulls" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="DistinctPulls" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="attachmentNum" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AttachmentInfoType", propOrder = {
    "fileName",
    "size",
    "attachmentFlags",
    "security",
    "contentType",
    "totalPulls",
    "distinctPulls"
})
public class AttachmentInfoType {

    @XmlElement(name = "FileName", required = true)
    protected String fileName;
    @XmlElement(name = "Size", required = true)
    protected BigInteger size;
    @XmlElement(name = "AttachmentFlags")
    protected List<AttachmentFlagsType> attachmentFlags;
    @XmlElement(name = "Security")
    protected String security;
    @XmlElement(name = "ContentType")
    protected String contentType;
    @XmlElement(name = "TotalPulls")
    protected BigInteger totalPulls;
    @XmlElement(name = "DistinctPulls")
    protected BigInteger distinctPulls;
    @XmlAttribute(required = true)
    protected int attachmentNum;

    /**
     * Gets the value of the fileName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * Sets the value of the fileName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFileName(String value) {
        this.fileName = value;
    }

    /**
     * Gets the value of the size property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getSize() {
        return size;
    }

    /**
     * Sets the value of the size property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setSize(BigInteger value) {
        this.size = value;
    }

    /**
     * Gets the value of the attachmentFlags property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the attachmentFlags property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAttachmentFlags().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AttachmentFlagsType }
     * 
     * 
     */
    public List<AttachmentFlagsType> getAttachmentFlags() {
        if (attachmentFlags == null) {
            attachmentFlags = new ArrayList<AttachmentFlagsType>();
        }
        return this.attachmentFlags;
    }

    /**
     * Gets the value of the security property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSecurity() {
        return security;
    }

    /**
     * Sets the value of the security property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSecurity(String value) {
        this.security = value;
    }

    /**
     * Gets the value of the contentType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getContentType() {
        return contentType;
    }

    /**
     * Sets the value of the contentType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setContentType(String value) {
        this.contentType = value;
    }

    /**
     * Gets the value of the totalPulls property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getTotalPulls() {
        return totalPulls;
    }

    /**
     * Sets the value of the totalPulls property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setTotalPulls(BigInteger value) {
        this.totalPulls = value;
    }

    /**
     * Gets the value of the distinctPulls property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getDistinctPulls() {
        return distinctPulls;
    }

    /**
     * Sets the value of the distinctPulls property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setDistinctPulls(BigInteger value) {
        this.distinctPulls = value;
    }

    /**
     * Gets the value of the attachmentNum property.
     * 
     */
    public int getAttachmentNum() {
        return attachmentNum;
    }

    /**
     * Sets the value of the attachmentNum property.
     * 
     */
    public void setAttachmentNum(int value) {
        this.attachmentNum = value;
    }

}
