
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CallControlOptionsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CallControlOptionsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="UseCallControl" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="CallControlMenuPosition" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="OptOutConfirmation" type="{http://premconn.premiereconnect.com/2007/02}YesNo" minOccurs="0"/>
 *         &lt;element name="OptOutLevel" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PauseTimeout" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="ReplayLimit" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="RewindLimit" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="TransferSilence" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="CallControl" type="{http://premconn.premiereconnect.com/2007/02}CallControlType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CallControlOptionsType", propOrder = {
    "useCallControl",
    "callControlMenuPosition",
    "optOutConfirmation",
    "optOutLevel",
    "pauseTimeout",
    "replayLimit",
    "rewindLimit",
    "transferSilence",
    "callControl"
})
public class CallControlOptionsType {

    @XmlElement(name = "UseCallControl")
    protected Boolean useCallControl;
    @XmlElement(name = "CallControlMenuPosition")
    protected String callControlMenuPosition;
    @XmlElement(name = "OptOutConfirmation")
    protected YesNo optOutConfirmation;
    @XmlElement(name = "OptOutLevel")
    protected String optOutLevel;
    @XmlElement(name = "PauseTimeout")
    protected Integer pauseTimeout;
    @XmlElement(name = "ReplayLimit")
    protected Integer replayLimit;
    @XmlElement(name = "RewindLimit")
    protected Integer rewindLimit;
    @XmlElement(name = "TransferSilence")
    protected Integer transferSilence;
    @XmlElement(name = "CallControl")
    protected List<CallControlType> callControl;

    /**
     * Gets the value of the useCallControl property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isUseCallControl() {
        return useCallControl;
    }

    /**
     * Sets the value of the useCallControl property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setUseCallControl(Boolean value) {
        this.useCallControl = value;
    }

    /**
     * Gets the value of the callControlMenuPosition property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCallControlMenuPosition() {
        return callControlMenuPosition;
    }

    /**
     * Sets the value of the callControlMenuPosition property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCallControlMenuPosition(String value) {
        this.callControlMenuPosition = value;
    }

    /**
     * Gets the value of the optOutConfirmation property.
     * 
     * @return
     *     possible object is
     *     {@link YesNo }
     *     
     */
    public YesNo getOptOutConfirmation() {
        return optOutConfirmation;
    }

    /**
     * Sets the value of the optOutConfirmation property.
     * 
     * @param value
     *     allowed object is
     *     {@link YesNo }
     *     
     */
    public void setOptOutConfirmation(YesNo value) {
        this.optOutConfirmation = value;
    }

    /**
     * Gets the value of the optOutLevel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOptOutLevel() {
        return optOutLevel;
    }

    /**
     * Sets the value of the optOutLevel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOptOutLevel(String value) {
        this.optOutLevel = value;
    }

    /**
     * Gets the value of the pauseTimeout property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPauseTimeout() {
        return pauseTimeout;
    }

    /**
     * Sets the value of the pauseTimeout property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPauseTimeout(Integer value) {
        this.pauseTimeout = value;
    }

    /**
     * Gets the value of the replayLimit property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getReplayLimit() {
        return replayLimit;
    }

    /**
     * Sets the value of the replayLimit property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setReplayLimit(Integer value) {
        this.replayLimit = value;
    }

    /**
     * Gets the value of the rewindLimit property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getRewindLimit() {
        return rewindLimit;
    }

    /**
     * Sets the value of the rewindLimit property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setRewindLimit(Integer value) {
        this.rewindLimit = value;
    }

    /**
     * Gets the value of the transferSilence property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getTransferSilence() {
        return transferSilence;
    }

    /**
     * Sets the value of the transferSilence property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setTransferSilence(Integer value) {
        this.transferSilence = value;
    }

    /**
     * Gets the value of the callControl property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the callControl property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCallControl().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CallControlType }
     * 
     * 
     */
    public List<CallControlType> getCallControl() {
        if (callControl == null) {
            callControl = new ArrayList<CallControlType>();
        }
        return this.callControl;
    }

}
