
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CreateOptionType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="CreateOptionType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="CreateOnly"/>
 *     &lt;enumeration value="CreateOrReplace"/>
 *     &lt;enumeration value="ReplaceOnly"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "CreateOptionType")
@XmlEnum
public enum CreateOptionType {

    @XmlEnumValue("CreateOnly")
    CREATE_ONLY("CreateOnly"),
    @XmlEnumValue("CreateOrReplace")
    CREATE_OR_REPLACE("CreateOrReplace"),
    @XmlEnumValue("ReplaceOnly")
    REPLACE_ONLY("ReplaceOnly");
    private final String value;

    CreateOptionType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CreateOptionType fromValue(String v) {
        for (CreateOptionType c: CreateOptionType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
