
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for DeliveryItemSimpleType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeliveryItemSimpleType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://premconn.premiereconnect.com/2007/02}DeliveryItemType">
 *       &lt;sequence>
 *         &lt;element name="Alternate" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;choice>
 *                   &lt;element name="Fax" type="{http://premconn.premiereconnect.com/2007/02}FaxType"/>
 *                   &lt;element name="Internet" type="{http://premconn.premiereconnect.com/2007/02}InternetType"/>
 *                   &lt;element name="Voice" type="{http://premconn.premiereconnect.com/2007/02}VoiceType"/>
 *                   &lt;element name="Fod" type="{http://premconn.premiereconnect.com/2007/02}FodType"/>
 *                   &lt;element name="Mbox" type="{http://premconn.premiereconnect.com/2007/02}MboxType"/>
 *                   &lt;element name="Sms" type="{http://premconn.premiereconnect.com/2007/02}SmsType"/>
 *                   &lt;element name="Telex" type="{http://premconn.premiereconnect.com/2007/02}TelexType"/>
 *                   &lt;element name="DeliveryItemGeneric" type="{http://premconn.premiereconnect.com/2007/02}DeliveryItemGenericType"/>
 *                 &lt;/choice>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeliveryItemSimpleType", propOrder = {
    "alternate"
})
@XmlSeeAlso({
    MboxType.class,
    TelexType.class,
    DeliveryItemComplexType.class,
    FodType.class,
    SmsType.class
})
public abstract class DeliveryItemSimpleType
    extends DeliveryItemType
{

    @XmlElement(name = "Alternate")
    protected DeliveryItemSimpleType.Alternate alternate;

    /**
     * Gets the value of the alternate property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryItemSimpleType.Alternate }
     *     
     */
    public DeliveryItemSimpleType.Alternate getAlternate() {
        return alternate;
    }

    /**
     * Sets the value of the alternate property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryItemSimpleType.Alternate }
     *     
     */
    public void setAlternate(DeliveryItemSimpleType.Alternate value) {
        this.alternate = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;choice>
     *         &lt;element name="Fax" type="{http://premconn.premiereconnect.com/2007/02}FaxType"/>
     *         &lt;element name="Internet" type="{http://premconn.premiereconnect.com/2007/02}InternetType"/>
     *         &lt;element name="Voice" type="{http://premconn.premiereconnect.com/2007/02}VoiceType"/>
     *         &lt;element name="Fod" type="{http://premconn.premiereconnect.com/2007/02}FodType"/>
     *         &lt;element name="Mbox" type="{http://premconn.premiereconnect.com/2007/02}MboxType"/>
     *         &lt;element name="Sms" type="{http://premconn.premiereconnect.com/2007/02}SmsType"/>
     *         &lt;element name="Telex" type="{http://premconn.premiereconnect.com/2007/02}TelexType"/>
     *         &lt;element name="DeliveryItemGeneric" type="{http://premconn.premiereconnect.com/2007/02}DeliveryItemGenericType"/>
     *       &lt;/choice>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "fax",
        "internet",
        "voice",
        "fod",
        "mbox",
        "sms",
        "telex",
        "deliveryItemGeneric"
    })
    public static class Alternate {

        @XmlElement(name = "Fax")
        protected FaxType fax;
        @XmlElement(name = "Internet")
        protected InternetType internet;
        @XmlElement(name = "Voice")
        protected VoiceType voice;
        @XmlElement(name = "Fod")
        protected FodType fod;
        @XmlElement(name = "Mbox")
        protected MboxType mbox;
        @XmlElement(name = "Sms")
        protected SmsType sms;
        @XmlElement(name = "Telex")
        protected TelexType telex;
        @XmlElement(name = "DeliveryItemGeneric")
        protected DeliveryItemGenericType deliveryItemGeneric;

        /**
         * Gets the value of the fax property.
         * 
         * @return
         *     possible object is
         *     {@link FaxType }
         *     
         */
        public FaxType getFax() {
            return fax;
        }

        /**
         * Sets the value of the fax property.
         * 
         * @param value
         *     allowed object is
         *     {@link FaxType }
         *     
         */
        public void setFax(FaxType value) {
            this.fax = value;
        }

        /**
         * Gets the value of the internet property.
         * 
         * @return
         *     possible object is
         *     {@link InternetType }
         *     
         */
        public InternetType getInternet() {
            return internet;
        }

        /**
         * Sets the value of the internet property.
         * 
         * @param value
         *     allowed object is
         *     {@link InternetType }
         *     
         */
        public void setInternet(InternetType value) {
            this.internet = value;
        }

        /**
         * Gets the value of the voice property.
         * 
         * @return
         *     possible object is
         *     {@link VoiceType }
         *     
         */
        public VoiceType getVoice() {
            return voice;
        }

        /**
         * Sets the value of the voice property.
         * 
         * @param value
         *     allowed object is
         *     {@link VoiceType }
         *     
         */
        public void setVoice(VoiceType value) {
            this.voice = value;
        }

        /**
         * Gets the value of the fod property.
         * 
         * @return
         *     possible object is
         *     {@link FodType }
         *     
         */
        public FodType getFod() {
            return fod;
        }

        /**
         * Sets the value of the fod property.
         * 
         * @param value
         *     allowed object is
         *     {@link FodType }
         *     
         */
        public void setFod(FodType value) {
            this.fod = value;
        }

        /**
         * Gets the value of the mbox property.
         * 
         * @return
         *     possible object is
         *     {@link MboxType }
         *     
         */
        public MboxType getMbox() {
            return mbox;
        }

        /**
         * Sets the value of the mbox property.
         * 
         * @param value
         *     allowed object is
         *     {@link MboxType }
         *     
         */
        public void setMbox(MboxType value) {
            this.mbox = value;
        }

        /**
         * Gets the value of the sms property.
         * 
         * @return
         *     possible object is
         *     {@link SmsType }
         *     
         */
        public SmsType getSms() {
            return sms;
        }

        /**
         * Sets the value of the sms property.
         * 
         * @param value
         *     allowed object is
         *     {@link SmsType }
         *     
         */
        public void setSms(SmsType value) {
            this.sms = value;
        }

        /**
         * Gets the value of the telex property.
         * 
         * @return
         *     possible object is
         *     {@link TelexType }
         *     
         */
        public TelexType getTelex() {
            return telex;
        }

        /**
         * Sets the value of the telex property.
         * 
         * @param value
         *     allowed object is
         *     {@link TelexType }
         *     
         */
        public void setTelex(TelexType value) {
            this.telex = value;
        }

        /**
         * Gets the value of the deliveryItemGeneric property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryItemGenericType }
         *     
         */
        public DeliveryItemGenericType getDeliveryItemGeneric() {
            return deliveryItemGeneric;
        }

        /**
         * Sets the value of the deliveryItemGeneric property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryItemGenericType }
         *     
         */
        public void setDeliveryItemGeneric(DeliveryItemGenericType value) {
            this.deliveryItemGeneric = value;
        }

    }

}
