
package com.premiereconnect.premconn._2007._02;

import java.math.BigDecimal;
import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for EnhancedEmailOptionsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="EnhancedEmailOptionsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="ExpirationDays" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
 *         &lt;element name="Subject" type="{http://premconn.premiereconnect.com/2007/02}EncodableStringType" minOccurs="0"/>
 *         &lt;element name="AutoSendFriend" type="{http://premconn.premiereconnect.com/2007/02}YesNo" minOccurs="0"/>
 *         &lt;element ref="{http://premconn.premiereconnect.com/2007/02}CharacterSet" minOccurs="0"/>
 *         &lt;element name="PullPassword" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FromAddress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="FromDisplayName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ReplyTo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="HTMLOpenTracking" type="{http://premconn.premiereconnect.com/2007/02}HTMLOpenTrackingType" minOccurs="0"/>
 *         &lt;element name="PasswordLifetime" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *         &lt;element name="DeliveryRetryPattern" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="EnhancedEmailJobExtensions" type="{http://premconn.premiereconnect.com/2007/02}JobExtensionsType" minOccurs="0"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EnhancedEmailOptionsType", propOrder = {

})
public class EnhancedEmailOptionsType {

    @XmlElement(name = "ExpirationDays")
    protected BigDecimal expirationDays;
    @XmlElement(name = "Subject")
    protected EncodableStringType subject;
    @XmlElement(name = "AutoSendFriend")
    protected YesNo autoSendFriend;
    @XmlElement(name = "CharacterSet")
    protected String characterSet;
    @XmlElement(name = "PullPassword")
    protected String pullPassword;
    @XmlElement(name = "FromAddress")
    protected String fromAddress;
    @XmlElement(name = "FromDisplayName")
    protected String fromDisplayName;
    @XmlElement(name = "ReplyTo")
    protected String replyTo;
    @XmlElement(name = "HTMLOpenTracking")
    protected HTMLOpenTrackingType htmlOpenTracking;
    @XmlElement(name = "PasswordLifetime")
    protected BigInteger passwordLifetime;
    @XmlElement(name = "DeliveryRetryPattern")
    protected String deliveryRetryPattern;
    @XmlElement(name = "EnhancedEmailJobExtensions")
    protected JobExtensionsType enhancedEmailJobExtensions;

    /**
     * Gets the value of the expirationDays property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getExpirationDays() {
        return expirationDays;
    }

    /**
     * Sets the value of the expirationDays property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setExpirationDays(BigDecimal value) {
        this.expirationDays = value;
    }

    /**
     * Gets the value of the subject property.
     * 
     * @return
     *     possible object is
     *     {@link EncodableStringType }
     *     
     */
    public EncodableStringType getSubject() {
        return subject;
    }

    /**
     * Sets the value of the subject property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncodableStringType }
     *     
     */
    public void setSubject(EncodableStringType value) {
        this.subject = value;
    }

    /**
     * Gets the value of the autoSendFriend property.
     * 
     * @return
     *     possible object is
     *     {@link YesNo }
     *     
     */
    public YesNo getAutoSendFriend() {
        return autoSendFriend;
    }

    /**
     * Sets the value of the autoSendFriend property.
     * 
     * @param value
     *     allowed object is
     *     {@link YesNo }
     *     
     */
    public void setAutoSendFriend(YesNo value) {
        this.autoSendFriend = value;
    }

    /**
     * Gets the value of the characterSet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCharacterSet() {
        return characterSet;
    }

    /**
     * Sets the value of the characterSet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCharacterSet(String value) {
        this.characterSet = value;
    }

    /**
     * Gets the value of the pullPassword property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPullPassword() {
        return pullPassword;
    }

    /**
     * Sets the value of the pullPassword property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPullPassword(String value) {
        this.pullPassword = value;
    }

    /**
     * Gets the value of the fromAddress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFromAddress() {
        return fromAddress;
    }

    /**
     * Sets the value of the fromAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFromAddress(String value) {
        this.fromAddress = value;
    }

    /**
     * Gets the value of the fromDisplayName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFromDisplayName() {
        return fromDisplayName;
    }

    /**
     * Sets the value of the fromDisplayName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFromDisplayName(String value) {
        this.fromDisplayName = value;
    }

    /**
     * Gets the value of the replyTo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReplyTo() {
        return replyTo;
    }

    /**
     * Sets the value of the replyTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReplyTo(String value) {
        this.replyTo = value;
    }

    /**
     * Gets the value of the htmlOpenTracking property.
     * 
     * @return
     *     possible object is
     *     {@link HTMLOpenTrackingType }
     *     
     */
    public HTMLOpenTrackingType getHTMLOpenTracking() {
        return htmlOpenTracking;
    }

    /**
     * Sets the value of the htmlOpenTracking property.
     * 
     * @param value
     *     allowed object is
     *     {@link HTMLOpenTrackingType }
     *     
     */
    public void setHTMLOpenTracking(HTMLOpenTrackingType value) {
        this.htmlOpenTracking = value;
    }

    /**
     * Gets the value of the passwordLifetime property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getPasswordLifetime() {
        return passwordLifetime;
    }

    /**
     * Sets the value of the passwordLifetime property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setPasswordLifetime(BigInteger value) {
        this.passwordLifetime = value;
    }

    /**
     * Gets the value of the deliveryRetryPattern property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeliveryRetryPattern() {
        return deliveryRetryPattern;
    }

    /**
     * Sets the value of the deliveryRetryPattern property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeliveryRetryPattern(String value) {
        this.deliveryRetryPattern = value;
    }

    /**
     * Gets the value of the enhancedEmailJobExtensions property.
     * 
     * @return
     *     possible object is
     *     {@link JobExtensionsType }
     *     
     */
    public JobExtensionsType getEnhancedEmailJobExtensions() {
        return enhancedEmailJobExtensions;
    }

    /**
     * Sets the value of the enhancedEmailJobExtensions property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobExtensionsType }
     *     
     */
    public void setEnhancedEmailJobExtensions(JobExtensionsType value) {
        this.enhancedEmailJobExtensions = value;
    }

}
