
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ExactMatchInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ExactMatchInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ResponseRange">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="InsertId" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
 *                   &lt;element name="NumOfAttempts" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="PromptAttachment" type="{http://premconn.premiereconnect.com/2007/02}DocumentInfoType" minOccurs="0"/>
 *         &lt;element name="ResponseAttachment" type="{http://premconn.premiereconnect.com/2007/02}DocumentInfoType" minOccurs="0"/>
 *         &lt;element name="Branching" type="{http://premconn.premiereconnect.com/2007/02}BranchingInfoType" maxOccurs="2" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ExactMatchInfoType", propOrder = {
    "responseRange",
    "promptAttachment",
    "responseAttachment",
    "branching"
})
public class ExactMatchInfoType {

    @XmlElement(name = "ResponseRange", required = true)
    protected ExactMatchInfoType.ResponseRange responseRange;
    @XmlElement(name = "PromptAttachment")
    protected DocumentInfoType promptAttachment;
    @XmlElement(name = "ResponseAttachment")
    protected DocumentInfoType responseAttachment;
    @XmlElement(name = "Branching")
    protected List<BranchingInfoType> branching;

    /**
     * Gets the value of the responseRange property.
     * 
     * @return
     *     possible object is
     *     {@link ExactMatchInfoType.ResponseRange }
     *     
     */
    public ExactMatchInfoType.ResponseRange getResponseRange() {
        return responseRange;
    }

    /**
     * Sets the value of the responseRange property.
     * 
     * @param value
     *     allowed object is
     *     {@link ExactMatchInfoType.ResponseRange }
     *     
     */
    public void setResponseRange(ExactMatchInfoType.ResponseRange value) {
        this.responseRange = value;
    }

    /**
     * Gets the value of the promptAttachment property.
     * 
     * @return
     *     possible object is
     *     {@link DocumentInfoType }
     *     
     */
    public DocumentInfoType getPromptAttachment() {
        return promptAttachment;
    }

    /**
     * Sets the value of the promptAttachment property.
     * 
     * @param value
     *     allowed object is
     *     {@link DocumentInfoType }
     *     
     */
    public void setPromptAttachment(DocumentInfoType value) {
        this.promptAttachment = value;
    }

    /**
     * Gets the value of the responseAttachment property.
     * 
     * @return
     *     possible object is
     *     {@link DocumentInfoType }
     *     
     */
    public DocumentInfoType getResponseAttachment() {
        return responseAttachment;
    }

    /**
     * Sets the value of the responseAttachment property.
     * 
     * @param value
     *     allowed object is
     *     {@link DocumentInfoType }
     *     
     */
    public void setResponseAttachment(DocumentInfoType value) {
        this.responseAttachment = value;
    }

    /**
     * Gets the value of the branching property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the branching property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBranching().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BranchingInfoType }
     * 
     * 
     */
    public List<BranchingInfoType> getBranching() {
        if (branching == null) {
            branching = new ArrayList<BranchingInfoType>();
        }
        return this.branching;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="InsertId" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
     *         &lt;element name="NumOfAttempts" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "insertId",
        "numOfAttempts"
    })
    public static class ResponseRange {

        @XmlElement(name = "InsertId")
        @XmlSchemaType(name = "unsignedInt")
        protected long insertId;
        @XmlElement(name = "NumOfAttempts")
        @XmlSchemaType(name = "unsignedInt")
        protected long numOfAttempts;

        /**
         * Gets the value of the insertId property.
         * 
         */
        public long getInsertId() {
            return insertId;
        }

        /**
         * Sets the value of the insertId property.
         * 
         */
        public void setInsertId(long value) {
            this.insertId = value;
        }

        /**
         * Gets the value of the numOfAttempts property.
         * 
         */
        public long getNumOfAttempts() {
            return numOfAttempts;
        }

        /**
         * Sets the value of the numOfAttempts property.
         * 
         */
        public void setNumOfAttempts(long value) {
            this.numOfAttempts = value;
        }

    }

}
