
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for JobListRequestFilterType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="JobListRequestFilterType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Domain" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="StartJobId" type="{http://premconn.premiereconnect.com/2007/02}JobIdType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="NumToRetrieve" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" minOccurs="0"/>
 *         &lt;element name="ExcludeGroupChildren" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="BillingCode" type="{http://premconn.premiereconnect.com/2007/02}EncodableStringType" minOccurs="0"/>
 *         &lt;element name="CustomerReference" type="{http://premconn.premiereconnect.com/2007/02}EncodableStringType" minOccurs="0"/>
 *         &lt;element name="JobState" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;element name="JobEntryWindow" type="{http://premconn.premiereconnect.com/2007/02}JobDateTimeWindowType"/>
 *           &lt;element name="JobStartWindow" type="{http://premconn.premiereconnect.com/2007/02}JobDateTimeWindowType"/>
 *           &lt;element name="JobActiveWindow" type="{http://premconn.premiereconnect.com/2007/02}JobDateTimeWindowType"/>
 *           &lt;element name="JobCompleteWindow" type="{http://premconn.premiereconnect.com/2007/02}JobDateTimeWindowType"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "JobListRequestFilterType", propOrder = {
    "domain",
    "startJobId",
    "numToRetrieve",
    "excludeGroupChildren",
    "billingCode",
    "customerReference",
    "jobState",
    "jobEntryWindow",
    "jobStartWindow",
    "jobActiveWindow",
    "jobCompleteWindow"
})
public class JobListRequestFilterType {

    @XmlElement(name = "Domain")
    protected String domain;
    @XmlElement(name = "StartJobId")
    protected List<JobIdType> startJobId;
    @XmlElement(name = "NumToRetrieve")
    @XmlSchemaType(name = "unsignedInt")
    protected Long numToRetrieve;
    @XmlElement(name = "ExcludeGroupChildren")
    protected Boolean excludeGroupChildren;
    @XmlElement(name = "BillingCode")
    protected EncodableStringType billingCode;
    @XmlElement(name = "CustomerReference")
    protected EncodableStringType customerReference;
    @XmlElement(name = "JobState")
    protected List<String> jobState;
    @XmlElement(name = "JobEntryWindow")
    protected JobDateTimeWindowType jobEntryWindow;
    @XmlElement(name = "JobStartWindow")
    protected JobDateTimeWindowType jobStartWindow;
    @XmlElement(name = "JobActiveWindow")
    protected JobDateTimeWindowType jobActiveWindow;
    @XmlElement(name = "JobCompleteWindow")
    protected JobDateTimeWindowType jobCompleteWindow;

    /**
     * Gets the value of the domain property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDomain() {
        return domain;
    }

    /**
     * Sets the value of the domain property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDomain(String value) {
        this.domain = value;
    }

    /**
     * Gets the value of the startJobId property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the startJobId property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getStartJobId().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JobIdType }
     * 
     * 
     */
    public List<JobIdType> getStartJobId() {
        if (startJobId == null) {
            startJobId = new ArrayList<JobIdType>();
        }
        return this.startJobId;
    }

    /**
     * Gets the value of the numToRetrieve property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getNumToRetrieve() {
        return numToRetrieve;
    }

    /**
     * Sets the value of the numToRetrieve property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setNumToRetrieve(Long value) {
        this.numToRetrieve = value;
    }

    /**
     * Gets the value of the excludeGroupChildren property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isExcludeGroupChildren() {
        return excludeGroupChildren;
    }

    /**
     * Sets the value of the excludeGroupChildren property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setExcludeGroupChildren(Boolean value) {
        this.excludeGroupChildren = value;
    }

    /**
     * Gets the value of the billingCode property.
     * 
     * @return
     *     possible object is
     *     {@link EncodableStringType }
     *     
     */
    public EncodableStringType getBillingCode() {
        return billingCode;
    }

    /**
     * Sets the value of the billingCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncodableStringType }
     *     
     */
    public void setBillingCode(EncodableStringType value) {
        this.billingCode = value;
    }

    /**
     * Gets the value of the customerReference property.
     * 
     * @return
     *     possible object is
     *     {@link EncodableStringType }
     *     
     */
    public EncodableStringType getCustomerReference() {
        return customerReference;
    }

    /**
     * Sets the value of the customerReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncodableStringType }
     *     
     */
    public void setCustomerReference(EncodableStringType value) {
        this.customerReference = value;
    }

    /**
     * Gets the value of the jobState property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the jobState property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getJobState().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getJobState() {
        if (jobState == null) {
            jobState = new ArrayList<String>();
        }
        return this.jobState;
    }

    /**
     * Gets the value of the jobEntryWindow property.
     * 
     * @return
     *     possible object is
     *     {@link JobDateTimeWindowType }
     *     
     */
    public JobDateTimeWindowType getJobEntryWindow() {
        return jobEntryWindow;
    }

    /**
     * Sets the value of the jobEntryWindow property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobDateTimeWindowType }
     *     
     */
    public void setJobEntryWindow(JobDateTimeWindowType value) {
        this.jobEntryWindow = value;
    }

    /**
     * Gets the value of the jobStartWindow property.
     * 
     * @return
     *     possible object is
     *     {@link JobDateTimeWindowType }
     *     
     */
    public JobDateTimeWindowType getJobStartWindow() {
        return jobStartWindow;
    }

    /**
     * Sets the value of the jobStartWindow property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobDateTimeWindowType }
     *     
     */
    public void setJobStartWindow(JobDateTimeWindowType value) {
        this.jobStartWindow = value;
    }

    /**
     * Gets the value of the jobActiveWindow property.
     * 
     * @return
     *     possible object is
     *     {@link JobDateTimeWindowType }
     *     
     */
    public JobDateTimeWindowType getJobActiveWindow() {
        return jobActiveWindow;
    }

    /**
     * Sets the value of the jobActiveWindow property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobDateTimeWindowType }
     *     
     */
    public void setJobActiveWindow(JobDateTimeWindowType value) {
        this.jobActiveWindow = value;
    }

    /**
     * Gets the value of the jobCompleteWindow property.
     * 
     * @return
     *     possible object is
     *     {@link JobDateTimeWindowType }
     *     
     */
    public JobDateTimeWindowType getJobCompleteWindow() {
        return jobCompleteWindow;
    }

    /**
     * Sets the value of the jobCompleteWindow property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobDateTimeWindowType }
     *     
     */
    public void setJobCompleteWindow(JobDateTimeWindowType value) {
        this.jobCompleteWindow = value;
    }

}
