
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for JobOptionsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="JobOptionsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="BillingCode" type="{http://premconn.premiereconnect.com/2007/02}EncodableStringType" minOccurs="0"/>
 *         &lt;element name="CustomerReference" type="{http://premconn.premiereconnect.com/2007/02}EncodableStringType" minOccurs="0"/>
 *         &lt;element name="Delivery" type="{http://premconn.premiereconnect.com/2007/02}DeliveryType" minOccurs="0"/>
 *         &lt;element name="EncryptOptions" type="{http://premconn.premiereconnect.com/2007/02}EncryptOptionsType" minOccurs="0"/>
 *         &lt;element name="DatafeedOptions" type="{http://premconn.premiereconnect.com/2007/02}DatafeedOptionsType" minOccurs="0"/>
 *         &lt;element name="Domain" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PriorityBoost" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="DeDuplicate" type="{http://premconn.premiereconnect.com/2007/02}DeDuplicateType" minOccurs="0"/>
 *         &lt;element name="DeliveryBlackout" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="BlackoutSchedule" type="{http://premconn.premiereconnect.com/2007/02}BlackoutScheduleType" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;choice>
 *           &lt;element name="FaxOptions" type="{http://premconn.premiereconnect.com/2007/02}FaxOptionsType"/>
 *           &lt;element name="MailMergeFaxOptions" type="{http://premconn.premiereconnect.com/2007/02}MailMergeFaxOptionsType"/>
 *           &lt;element name="EmailOptions" type="{http://premconn.premiereconnect.com/2007/02}EmailOptionsType"/>
 *           &lt;element name="EnhancedEmailOptions" type="{http://premconn.premiereconnect.com/2007/02}EnhancedEmailOptionsType"/>
 *           &lt;element name="VoiceOptions" type="{http://premconn.premiereconnect.com/2007/02}VoiceOptionsType"/>
 *           &lt;element name="SmsOptions" type="{http://premconn.premiereconnect.com/2007/02}SmsOptionsType"/>
 *         &lt;/choice>
 *         &lt;element name="JobExtensions" type="{http://premconn.premiereconnect.com/2007/02}JobExtensionsType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "JobOptionsType", propOrder = {
    "billingCode",
    "customerReference",
    "delivery",
    "encryptOptions",
    "datafeedOptions",
    "domain",
    "priorityBoost",
    "deDuplicate",
    "deliveryBlackout",
    "faxOptions",
    "mailMergeFaxOptions",
    "emailOptions",
    "enhancedEmailOptions",
    "voiceOptions",
    "smsOptions",
    "jobExtensions"
})
public class JobOptionsType {

    @XmlElement(name = "BillingCode")
    protected EncodableStringType billingCode;
    @XmlElement(name = "CustomerReference")
    protected EncodableStringType customerReference;
    @XmlElement(name = "Delivery")
    protected DeliveryType delivery;
    @XmlElement(name = "EncryptOptions")
    protected EncryptOptionsType encryptOptions;
    @XmlElement(name = "DatafeedOptions")
    protected DatafeedOptionsType datafeedOptions;
    @XmlElement(name = "Domain")
    protected String domain;
    @XmlElement(name = "PriorityBoost")
    protected Boolean priorityBoost;
    @XmlElement(name = "DeDuplicate")
    protected DeDuplicateType deDuplicate;
    @XmlElement(name = "DeliveryBlackout")
    protected JobOptionsType.DeliveryBlackout deliveryBlackout;
    @XmlElement(name = "FaxOptions")
    protected FaxOptionsType faxOptions;
    @XmlElement(name = "MailMergeFaxOptions")
    protected MailMergeFaxOptionsType mailMergeFaxOptions;
    @XmlElement(name = "EmailOptions")
    protected EmailOptionsType emailOptions;
    @XmlElement(name = "EnhancedEmailOptions")
    protected EnhancedEmailOptionsType enhancedEmailOptions;
    @XmlElement(name = "VoiceOptions")
    protected VoiceOptionsType voiceOptions;
    @XmlElement(name = "SmsOptions")
    protected SmsOptionsType smsOptions;
    @XmlElement(name = "JobExtensions")
    protected JobExtensionsType jobExtensions;

    /**
     * Gets the value of the billingCode property.
     * 
     * @return
     *     possible object is
     *     {@link EncodableStringType }
     *     
     */
    public EncodableStringType getBillingCode() {
        return billingCode;
    }

    /**
     * Sets the value of the billingCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncodableStringType }
     *     
     */
    public void setBillingCode(EncodableStringType value) {
        this.billingCode = value;
    }

    /**
     * Gets the value of the customerReference property.
     * 
     * @return
     *     possible object is
     *     {@link EncodableStringType }
     *     
     */
    public EncodableStringType getCustomerReference() {
        return customerReference;
    }

    /**
     * Sets the value of the customerReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncodableStringType }
     *     
     */
    public void setCustomerReference(EncodableStringType value) {
        this.customerReference = value;
    }

    /**
     * Gets the value of the delivery property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryType }
     *     
     */
    public DeliveryType getDelivery() {
        return delivery;
    }

    /**
     * Sets the value of the delivery property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryType }
     *     
     */
    public void setDelivery(DeliveryType value) {
        this.delivery = value;
    }

    /**
     * Gets the value of the encryptOptions property.
     * 
     * @return
     *     possible object is
     *     {@link EncryptOptionsType }
     *     
     */
    public EncryptOptionsType getEncryptOptions() {
        return encryptOptions;
    }

    /**
     * Sets the value of the encryptOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link EncryptOptionsType }
     *     
     */
    public void setEncryptOptions(EncryptOptionsType value) {
        this.encryptOptions = value;
    }

    /**
     * Gets the value of the datafeedOptions property.
     * 
     * @return
     *     possible object is
     *     {@link DatafeedOptionsType }
     *     
     */
    public DatafeedOptionsType getDatafeedOptions() {
        return datafeedOptions;
    }

    /**
     * Sets the value of the datafeedOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatafeedOptionsType }
     *     
     */
    public void setDatafeedOptions(DatafeedOptionsType value) {
        this.datafeedOptions = value;
    }

    /**
     * Gets the value of the domain property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDomain() {
        return domain;
    }

    /**
     * Sets the value of the domain property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDomain(String value) {
        this.domain = value;
    }

    /**
     * Gets the value of the priorityBoost property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPriorityBoost() {
        return priorityBoost;
    }

    /**
     * Sets the value of the priorityBoost property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPriorityBoost(Boolean value) {
        this.priorityBoost = value;
    }

    /**
     * Gets the value of the deDuplicate property.
     * 
     * @return
     *     possible object is
     *     {@link DeDuplicateType }
     *     
     */
    public DeDuplicateType getDeDuplicate() {
        return deDuplicate;
    }

    /**
     * Sets the value of the deDuplicate property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeDuplicateType }
     *     
     */
    public void setDeDuplicate(DeDuplicateType value) {
        this.deDuplicate = value;
    }

    /**
     * Gets the value of the deliveryBlackout property.
     * 
     * @return
     *     possible object is
     *     {@link JobOptionsType.DeliveryBlackout }
     *     
     */
    public JobOptionsType.DeliveryBlackout getDeliveryBlackout() {
        return deliveryBlackout;
    }

    /**
     * Sets the value of the deliveryBlackout property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobOptionsType.DeliveryBlackout }
     *     
     */
    public void setDeliveryBlackout(JobOptionsType.DeliveryBlackout value) {
        this.deliveryBlackout = value;
    }

    /**
     * Gets the value of the faxOptions property.
     * 
     * @return
     *     possible object is
     *     {@link FaxOptionsType }
     *     
     */
    public FaxOptionsType getFaxOptions() {
        return faxOptions;
    }

    /**
     * Sets the value of the faxOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link FaxOptionsType }
     *     
     */
    public void setFaxOptions(FaxOptionsType value) {
        this.faxOptions = value;
    }

    /**
     * Gets the value of the mailMergeFaxOptions property.
     * 
     * @return
     *     possible object is
     *     {@link MailMergeFaxOptionsType }
     *     
     */
    public MailMergeFaxOptionsType getMailMergeFaxOptions() {
        return mailMergeFaxOptions;
    }

    /**
     * Sets the value of the mailMergeFaxOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link MailMergeFaxOptionsType }
     *     
     */
    public void setMailMergeFaxOptions(MailMergeFaxOptionsType value) {
        this.mailMergeFaxOptions = value;
    }

    /**
     * Gets the value of the emailOptions property.
     * 
     * @return
     *     possible object is
     *     {@link EmailOptionsType }
     *     
     */
    public EmailOptionsType getEmailOptions() {
        return emailOptions;
    }

    /**
     * Sets the value of the emailOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link EmailOptionsType }
     *     
     */
    public void setEmailOptions(EmailOptionsType value) {
        this.emailOptions = value;
    }

    /**
     * Gets the value of the enhancedEmailOptions property.
     * 
     * @return
     *     possible object is
     *     {@link EnhancedEmailOptionsType }
     *     
     */
    public EnhancedEmailOptionsType getEnhancedEmailOptions() {
        return enhancedEmailOptions;
    }

    /**
     * Sets the value of the enhancedEmailOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link EnhancedEmailOptionsType }
     *     
     */
    public void setEnhancedEmailOptions(EnhancedEmailOptionsType value) {
        this.enhancedEmailOptions = value;
    }

    /**
     * Gets the value of the voiceOptions property.
     * 
     * @return
     *     possible object is
     *     {@link VoiceOptionsType }
     *     
     */
    public VoiceOptionsType getVoiceOptions() {
        return voiceOptions;
    }

    /**
     * Sets the value of the voiceOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link VoiceOptionsType }
     *     
     */
    public void setVoiceOptions(VoiceOptionsType value) {
        this.voiceOptions = value;
    }

    /**
     * Gets the value of the smsOptions property.
     * 
     * @return
     *     possible object is
     *     {@link SmsOptionsType }
     *     
     */
    public SmsOptionsType getSmsOptions() {
        return smsOptions;
    }

    /**
     * Sets the value of the smsOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link SmsOptionsType }
     *     
     */
    public void setSmsOptions(SmsOptionsType value) {
        this.smsOptions = value;
    }

    /**
     * Gets the value of the jobExtensions property.
     * 
     * @return
     *     possible object is
     *     {@link JobExtensionsType }
     *     
     */
    public JobExtensionsType getJobExtensions() {
        return jobExtensions;
    }

    /**
     * Sets the value of the jobExtensions property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobExtensionsType }
     *     
     */
    public void setJobExtensions(JobExtensionsType value) {
        this.jobExtensions = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="BlackoutSchedule" type="{http://premconn.premiereconnect.com/2007/02}BlackoutScheduleType" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "blackoutSchedule"
    })
    public static class DeliveryBlackout {

        @XmlElement(name = "BlackoutSchedule", required = true)
        protected List<BlackoutScheduleType> blackoutSchedule;

        /**
         * Gets the value of the blackoutSchedule property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the blackoutSchedule property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getBlackoutSchedule().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link BlackoutScheduleType }
         * 
         * 
         */
        public List<BlackoutScheduleType> getBlackoutSchedule() {
            if (blackoutSchedule == null) {
                blackoutSchedule = new ArrayList<BlackoutScheduleType>();
            }
            return this.blackoutSchedule;
        }

    }

}
