
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for JobReportType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="JobReportType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ReportJobId" type="{http://premconn.premiereconnect.com/2007/02}JobIdType"/>
 *         &lt;element name="ReportType" type="{http://premconn.premiereconnect.com/2007/02}AllReportTypeEnum"/>
 *         &lt;element name="ReportTemplate" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ReportAddress" type="{http://premconn.premiereconnect.com/2007/02}DeliveryItemListType"/>
 *         &lt;element name="ReportReason" minOccurs="0">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;minLength value="2"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="reportOption" type="{http://premconn.premiereconnect.com/2007/02}ReportOptionEnum" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "JobReportType", propOrder = {
    "reportJobId",
    "reportType",
    "reportTemplate",
    "reportAddress",
    "reportReason"
})
public class JobReportType {

    @XmlElement(name = "ReportJobId", required = true)
    protected JobIdType reportJobId;
    @XmlElement(name = "ReportType", required = true)
    protected AllReportTypeEnum reportType;
    @XmlElement(name = "ReportTemplate")
    protected String reportTemplate;
    @XmlElement(name = "ReportAddress", required = true)
    protected DeliveryItemListType reportAddress;
    @XmlElement(name = "ReportReason")
    protected String reportReason;
    @XmlAttribute
    protected ReportOptionEnum reportOption;

    /**
     * Gets the value of the reportJobId property.
     * 
     * @return
     *     possible object is
     *     {@link JobIdType }
     *     
     */
    public JobIdType getReportJobId() {
        return reportJobId;
    }

    /**
     * Sets the value of the reportJobId property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobIdType }
     *     
     */
    public void setReportJobId(JobIdType value) {
        this.reportJobId = value;
    }

    /**
     * Gets the value of the reportType property.
     * 
     * @return
     *     possible object is
     *     {@link AllReportTypeEnum }
     *     
     */
    public AllReportTypeEnum getReportType() {
        return reportType;
    }

    /**
     * Sets the value of the reportType property.
     * 
     * @param value
     *     allowed object is
     *     {@link AllReportTypeEnum }
     *     
     */
    public void setReportType(AllReportTypeEnum value) {
        this.reportType = value;
    }

    /**
     * Gets the value of the reportTemplate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReportTemplate() {
        return reportTemplate;
    }

    /**
     * Sets the value of the reportTemplate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReportTemplate(String value) {
        this.reportTemplate = value;
    }

    /**
     * Gets the value of the reportAddress property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryItemListType }
     *     
     */
    public DeliveryItemListType getReportAddress() {
        return reportAddress;
    }

    /**
     * Sets the value of the reportAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryItemListType }
     *     
     */
    public void setReportAddress(DeliveryItemListType value) {
        this.reportAddress = value;
    }

    /**
     * Gets the value of the reportReason property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReportReason() {
        return reportReason;
    }

    /**
     * Sets the value of the reportReason property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReportReason(String value) {
        this.reportReason = value;
    }

    /**
     * Gets the value of the reportOption property.
     * 
     * @return
     *     possible object is
     *     {@link ReportOptionEnum }
     *     
     */
    public ReportOptionEnum getReportOption() {
        return reportOption;
    }

    /**
     * Sets the value of the reportOption property.
     * 
     * @param value
     *     allowed object is
     *     {@link ReportOptionEnum }
     *     
     */
    public void setReportOption(ReportOptionEnum value) {
        this.reportOption = value;
    }

}
