
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * advisory information about the
 *                         format and options for a profile field
 * 
 * <p>Java class for ProfileFieldInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProfileFieldInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ProfileItemFormat" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ProfileEnumValue" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProfileFieldInfoType", propOrder = {
    "profileItemFormat",
    "profileEnumValue"
})
public class ProfileFieldInfoType {

    @XmlElement(name = "ProfileItemFormat", required = true)
    protected String profileItemFormat;
    @XmlElement(name = "ProfileEnumValue")
    protected List<String> profileEnumValue;

    /**
     * Gets the value of the profileItemFormat property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProfileItemFormat() {
        return profileItemFormat;
    }

    /**
     * Sets the value of the profileItemFormat property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProfileItemFormat(String value) {
        this.profileItemFormat = value;
    }

    /**
     * Gets the value of the profileEnumValue property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the profileEnumValue property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getProfileEnumValue().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getProfileEnumValue() {
        if (profileEnumValue == null) {
            profileEnumValue = new ArrayList<String>();
        }
        return this.profileEnumValue;
    }

}
