
package com.premiereconnect.premconn._2007._02;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * nested representation of profile
 *                         entity hierarchy
 * 
 * <p>Java class for ProfileHierarchyType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProfileHierarchyType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ProfileLevel" type="{http://premconn.premiereconnect.com/2007/02}ProfileLevelType"/>
 *         &lt;element name="ProfileEntityId" type="{http://www.w3.org/2001/XMLSchema}integer"/>
 *         &lt;element name="ProfileEntityName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ParentEntity" type="{http://premconn.premiereconnect.com/2007/02}ProfileHierarchyType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProfileHierarchyType", propOrder = {
    "profileLevel",
    "profileEntityId",
    "profileEntityName",
    "parentEntity"
})
public class ProfileHierarchyType {

    @XmlElement(name = "ProfileLevel", required = true)
    protected ProfileLevelType profileLevel;
    @XmlElement(name = "ProfileEntityId", required = true)
    protected BigInteger profileEntityId;
    @XmlElement(name = "ProfileEntityName")
    protected String profileEntityName;
    @XmlElement(name = "ParentEntity")
    protected ProfileHierarchyType parentEntity;

    /**
     * Gets the value of the profileLevel property.
     * 
     * @return
     *     possible object is
     *     {@link ProfileLevelType }
     *     
     */
    public ProfileLevelType getProfileLevel() {
        return profileLevel;
    }

    /**
     * Sets the value of the profileLevel property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProfileLevelType }
     *     
     */
    public void setProfileLevel(ProfileLevelType value) {
        this.profileLevel = value;
    }

    /**
     * Gets the value of the profileEntityId property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getProfileEntityId() {
        return profileEntityId;
    }

    /**
     * Sets the value of the profileEntityId property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setProfileEntityId(BigInteger value) {
        this.profileEntityId = value;
    }

    /**
     * Gets the value of the profileEntityName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProfileEntityName() {
        return profileEntityName;
    }

    /**
     * Sets the value of the profileEntityName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProfileEntityName(String value) {
        this.profileEntityName = value;
    }

    /**
     * Gets the value of the parentEntity property.
     * 
     * @return
     *     possible object is
     *     {@link ProfileHierarchyType }
     *     
     */
    public ProfileHierarchyType getParentEntity() {
        return parentEntity;
    }

    /**
     * Sets the value of the parentEntity property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProfileHierarchyType }
     *     
     */
    public void setParentEntity(ProfileHierarchyType value) {
        this.parentEntity = value;
    }

}
