
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for StoredObjectInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StoredObjectInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="StoredObjectId" type="{http://premconn.premiereconnect.com/2007/02}StoredObjectIdType"/>
 *         &lt;element name="ObjectDisplayName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Version" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/>
 *         &lt;element name="RevisionDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="LastAccessedDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
 *         &lt;element name="AdditionalInfo" type="{http://premconn.premiereconnect.com/2007/02}SegmentType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StoredObjectInfoType", propOrder = {
    "storedObjectId",
    "objectDisplayName",
    "version",
    "revisionDate",
    "lastAccessedDate",
    "additionalInfo"
})
public class StoredObjectInfoType {

    @XmlElement(name = "StoredObjectId", required = true)
    protected StoredObjectIdType storedObjectId;
    @XmlElement(name = "ObjectDisplayName")
    protected String objectDisplayName;
    @XmlElement(name = "Version")
    protected Float version;
    @XmlElement(name = "RevisionDate")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar revisionDate;
    @XmlElement(name = "LastAccessedDate")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar lastAccessedDate;
    @XmlElement(name = "AdditionalInfo")
    protected List<SegmentType> additionalInfo;

    /**
     * Gets the value of the storedObjectId property.
     * 
     * @return
     *     possible object is
     *     {@link StoredObjectIdType }
     *     
     */
    public StoredObjectIdType getStoredObjectId() {
        return storedObjectId;
    }

    /**
     * Sets the value of the storedObjectId property.
     * 
     * @param value
     *     allowed object is
     *     {@link StoredObjectIdType }
     *     
     */
    public void setStoredObjectId(StoredObjectIdType value) {
        this.storedObjectId = value;
    }

    /**
     * Gets the value of the objectDisplayName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getObjectDisplayName() {
        return objectDisplayName;
    }

    /**
     * Sets the value of the objectDisplayName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setObjectDisplayName(String value) {
        this.objectDisplayName = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setVersion(Float value) {
        this.version = value;
    }

    /**
     * Gets the value of the revisionDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getRevisionDate() {
        return revisionDate;
    }

    /**
     * Sets the value of the revisionDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setRevisionDate(XMLGregorianCalendar value) {
        this.revisionDate = value;
    }

    /**
     * Gets the value of the lastAccessedDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getLastAccessedDate() {
        return lastAccessedDate;
    }

    /**
     * Sets the value of the lastAccessedDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setLastAccessedDate(XMLGregorianCalendar value) {
        this.lastAccessedDate = value;
    }

    /**
     * Gets the value of the additionalInfo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the additionalInfo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAdditionalInfo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SegmentType }
     * 
     * 
     */
    public List<SegmentType> getAdditionalInfo() {
        if (additionalInfo == null) {
            additionalInfo = new ArrayList<SegmentType>();
        }
        return this.additionalInfo;
    }

}
