
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for StoredObjectLevelType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="StoredObjectLevelType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="user"/>
 *     &lt;enumeration value="customer"/>
 *     &lt;enumeration value="group"/>
 *     &lt;enumeration value="domain"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "StoredObjectLevelType")
@XmlEnum
public enum StoredObjectLevelType {

    @XmlEnumValue("user")
    USER("user"),
    @XmlEnumValue("customer")
    CUSTOMER("customer"),
    @XmlEnumValue("group")
    GROUP("group"),
    @XmlEnumValue("domain")
    DOMAIN("domain");
    private final String value;

    StoredObjectLevelType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static StoredObjectLevelType fromValue(String v) {
        for (StoredObjectLevelType c: StoredObjectLevelType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
