
package com.premiereconnect.premconn._2007._02;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TransactionInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TransactionInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="IDWav" type="{http://premconn.premiereconnect.com/2007/02}DocumentInfoType" minOccurs="0"/>
 *         &lt;element name="Transaction" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="TransactionName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;choice>
 *                     &lt;element name="Informational" type="{http://premconn.premiereconnect.com/2007/02}InformationalInfoType"/>
 *                     &lt;element name="MultipleChoice" type="{http://premconn.premiereconnect.com/2007/02}MultipleChoiceInfoType"/>
 *                     &lt;element name="AutoTransfer" type="{http://premconn.premiereconnect.com/2007/02}AutoTransferInfoType"/>
 *                     &lt;element name="NumericInput" type="{http://premconn.premiereconnect.com/2007/02}NumericInputInfoType"/>
 *                     &lt;element name="ExactMatch" type="{http://premconn.premiereconnect.com/2007/02}ExactMatchInfoType"/>
 *                   &lt;/choice>
 *                 &lt;/sequence>
 *                 &lt;attribute name="transactionID" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Attachment" type="{http://premconn.premiereconnect.com/2007/02}DocumentType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TransactionInfoType", propOrder = {
    "idWav",
    "transaction",
    "attachment"
})
public class TransactionInfoType {

    @XmlElement(name = "IDWav")
    protected DocumentInfoType idWav;
    @XmlElement(name = "Transaction", required = true)
    protected List<TransactionInfoType.Transaction> transaction;
    @XmlElement(name = "Attachment")
    protected List<DocumentType> attachment;

    /**
     * Gets the value of the idWav property.
     * 
     * @return
     *     possible object is
     *     {@link DocumentInfoType }
     *     
     */
    public DocumentInfoType getIDWav() {
        return idWav;
    }

    /**
     * Sets the value of the idWav property.
     * 
     * @param value
     *     allowed object is
     *     {@link DocumentInfoType }
     *     
     */
    public void setIDWav(DocumentInfoType value) {
        this.idWav = value;
    }

    /**
     * Gets the value of the transaction property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the transaction property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTransaction().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TransactionInfoType.Transaction }
     * 
     * 
     */
    public List<TransactionInfoType.Transaction> getTransaction() {
        if (transaction == null) {
            transaction = new ArrayList<TransactionInfoType.Transaction>();
        }
        return this.transaction;
    }

    /**
     * Gets the value of the attachment property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the attachment property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAttachment().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DocumentType }
     * 
     * 
     */
    public List<DocumentType> getAttachment() {
        if (attachment == null) {
            attachment = new ArrayList<DocumentType>();
        }
        return this.attachment;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="TransactionName" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;choice>
     *           &lt;element name="Informational" type="{http://premconn.premiereconnect.com/2007/02}InformationalInfoType"/>
     *           &lt;element name="MultipleChoice" type="{http://premconn.premiereconnect.com/2007/02}MultipleChoiceInfoType"/>
     *           &lt;element name="AutoTransfer" type="{http://premconn.premiereconnect.com/2007/02}AutoTransferInfoType"/>
     *           &lt;element name="NumericInput" type="{http://premconn.premiereconnect.com/2007/02}NumericInputInfoType"/>
     *           &lt;element name="ExactMatch" type="{http://premconn.premiereconnect.com/2007/02}ExactMatchInfoType"/>
     *         &lt;/choice>
     *       &lt;/sequence>
     *       &lt;attribute name="transactionID" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "transactionName",
        "informational",
        "multipleChoice",
        "autoTransfer",
        "numericInput",
        "exactMatch"
    })
    public static class Transaction {

        @XmlElement(name = "TransactionName", required = true)
        protected String transactionName;
        @XmlElement(name = "Informational")
        protected InformationalInfoType informational;
        @XmlElement(name = "MultipleChoice")
        protected MultipleChoiceInfoType multipleChoice;
        @XmlElement(name = "AutoTransfer")
        protected AutoTransferInfoType autoTransfer;
        @XmlElement(name = "NumericInput")
        protected NumericInputInfoType numericInput;
        @XmlElement(name = "ExactMatch")
        protected ExactMatchInfoType exactMatch;
        @XmlAttribute
        @XmlSchemaType(name = "unsignedInt")
        protected Long transactionID;

        /**
         * Gets the value of the transactionName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getTransactionName() {
            return transactionName;
        }

        /**
         * Sets the value of the transactionName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setTransactionName(String value) {
            this.transactionName = value;
        }

        /**
         * Gets the value of the informational property.
         * 
         * @return
         *     possible object is
         *     {@link InformationalInfoType }
         *     
         */
        public InformationalInfoType getInformational() {
            return informational;
        }

        /**
         * Sets the value of the informational property.
         * 
         * @param value
         *     allowed object is
         *     {@link InformationalInfoType }
         *     
         */
        public void setInformational(InformationalInfoType value) {
            this.informational = value;
        }

        /**
         * Gets the value of the multipleChoice property.
         * 
         * @return
         *     possible object is
         *     {@link MultipleChoiceInfoType }
         *     
         */
        public MultipleChoiceInfoType getMultipleChoice() {
            return multipleChoice;
        }

        /**
         * Sets the value of the multipleChoice property.
         * 
         * @param value
         *     allowed object is
         *     {@link MultipleChoiceInfoType }
         *     
         */
        public void setMultipleChoice(MultipleChoiceInfoType value) {
            this.multipleChoice = value;
        }

        /**
         * Gets the value of the autoTransfer property.
         * 
         * @return
         *     possible object is
         *     {@link AutoTransferInfoType }
         *     
         */
        public AutoTransferInfoType getAutoTransfer() {
            return autoTransfer;
        }

        /**
         * Sets the value of the autoTransfer property.
         * 
         * @param value
         *     allowed object is
         *     {@link AutoTransferInfoType }
         *     
         */
        public void setAutoTransfer(AutoTransferInfoType value) {
            this.autoTransfer = value;
        }

        /**
         * Gets the value of the numericInput property.
         * 
         * @return
         *     possible object is
         *     {@link NumericInputInfoType }
         *     
         */
        public NumericInputInfoType getNumericInput() {
            return numericInput;
        }

        /**
         * Sets the value of the numericInput property.
         * 
         * @param value
         *     allowed object is
         *     {@link NumericInputInfoType }
         *     
         */
        public void setNumericInput(NumericInputInfoType value) {
            this.numericInput = value;
        }

        /**
         * Gets the value of the exactMatch property.
         * 
         * @return
         *     possible object is
         *     {@link ExactMatchInfoType }
         *     
         */
        public ExactMatchInfoType getExactMatch() {
            return exactMatch;
        }

        /**
         * Sets the value of the exactMatch property.
         * 
         * @param value
         *     allowed object is
         *     {@link ExactMatchInfoType }
         *     
         */
        public void setExactMatch(ExactMatchInfoType value) {
            this.exactMatch = value;
        }

        /**
         * Gets the value of the transactionID property.
         * 
         * @return
         *     possible object is
         *     {@link Long }
         *     
         */
        public Long getTransactionID() {
            return transactionID;
        }

        /**
         * Sets the value of the transactionID property.
         * 
         * @param value
         *     allowed object is
         *     {@link Long }
         *     
         */
        public void setTransactionID(Long value) {
            this.transactionID = value;
        }

    }

}
