
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TreatmentType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TreatmentType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="body"/>
 *     &lt;enumeration value="attachment"/>
 *     &lt;enumeration value="pullfile"/>
 *     &lt;enumeration value="voice_all"/>
 *     &lt;enumeration value="voice_live"/>
 *     &lt;enumeration value="voice_voicemail"/>
 *     &lt;enumeration value="voice_whisper"/>
 *     &lt;enumeration value="voice_call_control"/>
 *     &lt;enumeration value="ezBanner"/>
 *     &lt;enumeration value="docfx"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TreatmentType")
@XmlEnum
public enum TreatmentType {

    @XmlEnumValue("body")
    BODY("body"),
    @XmlEnumValue("attachment")
    ATTACHMENT("attachment"),
    @XmlEnumValue("pullfile")
    PULLFILE("pullfile"),
    @XmlEnumValue("voice_all")
    VOICE_ALL("voice_all"),
    @XmlEnumValue("voice_live")
    VOICE_LIVE("voice_live"),
    @XmlEnumValue("voice_voicemail")
    VOICE_VOICEMAIL("voice_voicemail"),
    @XmlEnumValue("voice_whisper")
    VOICE_WHISPER("voice_whisper"),
    @XmlEnumValue("voice_call_control")
    VOICE_CALL_CONTROL("voice_call_control"),
    @XmlEnumValue("ezBanner")
    EZ_BANNER("ezBanner"),
    @XmlEnumValue("docfx")
    DOCFX("docfx");
    private final String value;

    TreatmentType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TreatmentType fromValue(String v) {
        for (TreatmentType c: TreatmentType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
