
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VoiceDeliveryMethodType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="VoiceDeliveryMethodType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="silence"/>
 *     &lt;enumeration value="PAMD"/>
 *     &lt;enumeration value="live_only"/>
 *     &lt;enumeration value="voicemail_only"/>
 *     &lt;enumeration value="force_play"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "VoiceDeliveryMethodType")
@XmlEnum
public enum VoiceDeliveryMethodType {

    @XmlEnumValue("silence")
    SILENCE("silence"),
    PAMD("PAMD"),
    @XmlEnumValue("live_only")
    LIVE_ONLY("live_only"),
    @XmlEnumValue("voicemail_only")
    VOICEMAIL_ONLY("voicemail_only"),
    @XmlEnumValue("force_play")
    FORCE_PLAY("force_play");
    private final String value;

    VoiceDeliveryMethodType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static VoiceDeliveryMethodType fromValue(String v) {
        for (VoiceDeliveryMethodType c: VoiceDeliveryMethodType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
