
package com.premiereconnect.premconn._2007._02;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VoiceOptionsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="VoiceOptionsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="VoiceDeliveryMethod" type="{http://premconn.premiereconnect.com/2007/02}VoiceDeliveryMethodType" minOccurs="0"/>
 *         &lt;element name="RecipientTimezoneOption" type="{http://premconn.premiereconnect.com/2007/02}YesNo" minOccurs="0"/>
 *         &lt;element name="ANI" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ForcePlayTimer" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="CallControlOptions" type="{http://premconn.premiereconnect.com/2007/02}CallControlOptionsType" minOccurs="0"/>
 *         &lt;element name="DeliveryRetryPattern" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="VoiceJobExtensions" type="{http://premconn.premiereconnect.com/2007/02}JobExtensionsType" minOccurs="0"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "VoiceOptionsType", propOrder = {

})
public class VoiceOptionsType {

    @XmlElement(name = "VoiceDeliveryMethod")
    protected VoiceDeliveryMethodType voiceDeliveryMethod;
    @XmlElement(name = "RecipientTimezoneOption")
    protected YesNo recipientTimezoneOption;
    @XmlElement(name = "ANI")
    protected String ani;
    @XmlElement(name = "ForcePlayTimer")
    protected Integer forcePlayTimer;
    @XmlElement(name = "CallControlOptions")
    protected CallControlOptionsType callControlOptions;
    @XmlElement(name = "DeliveryRetryPattern")
    protected String deliveryRetryPattern;
    @XmlElement(name = "VoiceJobExtensions")
    protected JobExtensionsType voiceJobExtensions;

    /**
     * Gets the value of the voiceDeliveryMethod property.
     * 
     * @return
     *     possible object is
     *     {@link VoiceDeliveryMethodType }
     *     
     */
    public VoiceDeliveryMethodType getVoiceDeliveryMethod() {
        return voiceDeliveryMethod;
    }

    /**
     * Sets the value of the voiceDeliveryMethod property.
     * 
     * @param value
     *     allowed object is
     *     {@link VoiceDeliveryMethodType }
     *     
     */
    public void setVoiceDeliveryMethod(VoiceDeliveryMethodType value) {
        this.voiceDeliveryMethod = value;
    }

    /**
     * Gets the value of the recipientTimezoneOption property.
     * 
     * @return
     *     possible object is
     *     {@link YesNo }
     *     
     */
    public YesNo getRecipientTimezoneOption() {
        return recipientTimezoneOption;
    }

    /**
     * Sets the value of the recipientTimezoneOption property.
     * 
     * @param value
     *     allowed object is
     *     {@link YesNo }
     *     
     */
    public void setRecipientTimezoneOption(YesNo value) {
        this.recipientTimezoneOption = value;
    }

    /**
     * Gets the value of the ani property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getANI() {
        return ani;
    }

    /**
     * Sets the value of the ani property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setANI(String value) {
        this.ani = value;
    }

    /**
     * Gets the value of the forcePlayTimer property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getForcePlayTimer() {
        return forcePlayTimer;
    }

    /**
     * Sets the value of the forcePlayTimer property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setForcePlayTimer(Integer value) {
        this.forcePlayTimer = value;
    }

    /**
     * Gets the value of the callControlOptions property.
     * 
     * @return
     *     possible object is
     *     {@link CallControlOptionsType }
     *     
     */
    public CallControlOptionsType getCallControlOptions() {
        return callControlOptions;
    }

    /**
     * Sets the value of the callControlOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link CallControlOptionsType }
     *     
     */
    public void setCallControlOptions(CallControlOptionsType value) {
        this.callControlOptions = value;
    }

    /**
     * Gets the value of the deliveryRetryPattern property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeliveryRetryPattern() {
        return deliveryRetryPattern;
    }

    /**
     * Sets the value of the deliveryRetryPattern property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeliveryRetryPattern(String value) {
        this.deliveryRetryPattern = value;
    }

    /**
     * Gets the value of the voiceJobExtensions property.
     * 
     * @return
     *     possible object is
     *     {@link JobExtensionsType }
     *     
     */
    public JobExtensionsType getVoiceJobExtensions() {
        return voiceJobExtensions;
    }

    /**
     * Sets the value of the voiceJobExtensions property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobExtensionsType }
     *     
     */
    public void setVoiceJobExtensions(JobExtensionsType value) {
        this.voiceJobExtensions = value;
    }

}
